<?php 



include("../include/header.php"); 

include("../include/connection.php");

include ("left-sidebar.php") ; 

require_once('delete_confirm.php');



if(isset($_POST['form1']))

{

  try {    

    if(empty($_POST['company'])) {

      throw new Exception("Supplier name can not be empty.");

    }      	

	

	

	$statement = $db->prepare("INSERT INTO gst_supplier (company, email, phone, address1, address2, city,  state, pin, website, gst, remarks) VALUES 

	(?,?,?,?,?,?,?,?,?,?,?)");

    

    $statement->execute(array($_POST['company'], $_POST['email'],$_POST['phone'], $_POST['address1'], $_POST['address2'], $_POST['city'],$_POST['state'],$_POST['pin'],$_POST['website'], $_POST['gst'], $_POST['remarks']));    

    $success_message = "Supplier has been added successfully."; 

  }  

  catch(Exception $e) { 

    $error_message = $e->getMessage();

  }

} 

?>



<?php

	$x		=	200;				

	$y		=	15;				

	$tot	=	$x * $y/100;				

?>



<script>

	$( function() {

		var availableTags = [

			<?php						

			$statement	= $db->prepare("SELECT * FROM gst_hsn_code");

			$statement->execute();

			$result=$statement->fetchAll(PDO::FETCH_ASSOC);

			foreach($result as $row){					

			?>

			"<?php echo $row['hsn_code'] ?>",

			<?php } ?>						 

		];

		$( "#hsn_code" ).autocomplete({

		  source: availableTags

		});

	});



	$( function() {

		var availableTags = [

			<?php						

			$statement	= $db->prepare("SELECT * FROM gst_group");

			$statement->execute();

			$result=$statement->fetchAll(PDO::FETCH_ASSOC);

			foreach($result as $row){					

			?>

			"<?php echo $row['group_code'] ?>",

			<?php } ?>						 

		];

		$( "#tags" ).autocomplete({

		  source: availableTags

		});

	});	

	

	$( function() {

		var availableTags = [

			<?php						

			$statement	= $db->prepare("SELECT * FROM gst_brand");

			$statement->execute();

			$result=$statement->fetchAll(PDO::FETCH_ASSOC);

			foreach($result as $row){					

			?>

			"<?php echo $row['brand'] ?>",

			<?php } ?>						 

		];

		$( ".brand" ).autocomplete({

		  source: availableTags

		});

	});	

	

	$( function() {

		var availableTags = [

			<?php						

			$statement	= $db->prepare("SELECT * FROM gst_category");

			$statement->execute();

			$result=$statement->fetchAll(PDO::FETCH_ASSOC);

			foreach($result as $row){					

			?>

			"<?php echo $row['category'] ?>",

			<?php } ?>						 

		];

		$( ".category" ).autocomplete({

		  source: availableTags

		});

	});

	

</script>

<div class="content-wrapper">

  	<section class="content">

    <!-- SELECT2 EXAMPLE -->

    <div class="box box-default">

      <div class="box box-info">

          <div class="box-header with-border">

            <h3 class="box-title">Supplier Information</h3>

            

          

          </div><!-- /.box-header -->

          

			<?php

              	if(isset($error_message))

              	{ 

            ?>

                <div class="alert alert-danger">

                    <p class=""><?php echo $error_message ; ?></p>

                </div>

            <?php 

               	} 

            	else if(isset($success_message))

              	{ 

			?>

                <div class="alert alert-success">

                    <p class=""><?php echo $success_message ; ?></p>

                </div>

            <?php 

				} 

			?>            

       

        <!-- form start -->

		<form class="form-horizontal" action="" method="post" enctype="multipart/form-data">

			<div class="box-body">

				<div class="form-group">

					<?php /*?><label for="inputEmail3" class="col-sm-2 control-label">Supplier Name</label>

                    <div class="col-sm-3">

                      	<input type="text" class="form-control" id="inputEmail3" placeholder="" name="supplier_name" autocomplete="off">

                    </div>  <?php */?>              

                    <label for="inputEmail3" class="col-sm-2 control-label">Supplier Name </label>

                    <div class="col-sm-3">

                      <input type="text" class="form-control" id="hsn_code" placeholder="" name="company" autocomplete="off">

                    </div>    

                    <label for="inputEmail3" class="col-sm-2 control-label">Email </label>

                    <div class="col-sm-3">

                      	<input type="text" class="form-control" id="inputEmail3" placeholder="" name="email" autocomplete="off">

                    </div>               

                  </div>

                  

                  <div class="form-group">

                    <label for="inputEmail3" class="col-sm-2 control-label">Phone</label>

                    <div class="col-sm-3">

                      	<input type="text" class="form-control" id="inputEmail3" placeholder="" name="phone" autocomplete="off">

                    </div>                

                    <label for="inputEmail3" class="col-sm-2 control-label">Address1</label>

                    <div class="col-sm-3">

                        <input type="text" name="address1" class="form-control" value="" autocomplete="off"

 />                    </div>               

                  </div>

                  

                  <div class="form-group">

                   <?php /*?> <label for="inputEmail3" class="col-sm-2 control-label">SKU Code</label>

                    <div class="col-sm-3">

                      <input type="text" class="form-control" id="inputEmail3" placeholder="" name="sku_code" autocomplete="off">

                    </div> <?php */?>               

                           

                    <label for="inputEmail3" class="col-sm-2 control-label">Address2</label>

                    <div class="col-sm-3">

                        <input type="text" name="address2" class="form-control" value="" autocomplete="off"

 />                    </div>     

                   

                    <label for="inputEmail3" class="col-sm-2 control-label">City</label>

                    <div class="col-sm-3">

                        <input type="text" class="form-control" id="tags" placeholder="" name="city" autocomplete="off">

                    </div>      

                  </div>

                  

				<div class="form-group">

                     <label for="inputEmail3" class="col-sm-2 control-label">State</label>

                    <div class="col-sm-3">

                      	<select name="state" class="form-control">

							<option value="">-Select-</option>

							<?php

								$statement=$db->prepare("SELECT * FROM gst_state");

								$statement->execute();

								$result=$statement->fetchAll(PDO::FETCH_ASSOC);

								foreach($result as $row){

							?>

							<option value="<?php echo $row['state']; ?>"><?php echo $row['state_code']; ?></option>

							<?php } ?>

                        </select>

                    </div>  

                    <label for="inputEmail3" class="col-sm-2 control-label">Pincode	</label>

                    <div class="col-sm-3">

               			<input type="text" class="form-control" id="inputEmail3" placeholder="" name="pin" autocomplete="off">

                    </div>     

                    

                                    

				</div>

               

                  

                <div class="form-group">

                                   

                    <label for="inputEmail3" class="col-sm-2 control-label">Website</label>

                    <div class="col-sm-3">

                        <input type="text" class="form-control" id="inputEmail3" placeholder="" name="website" autocomplete="off">

                    </div>        

                     <label for="inputEmail3" class="col-sm-2 control-label">GST No.</label>

                    <div class="col-sm-3">

                        <input type="text" class="form-control brand" id="inputEmail3" placeholder="" name="gst" autocomplete="off">

                    </div>          

                </div>

                                    

                                    

                   <div class="form-group"> 

                        <label for="inputEmail3" class="col-sm-2 control-label">Remarks</label>

                        <div class="col-sm-3">

                          <textarea name="remarks" class="form-control" style="height:50px;"></textarea>

                        </div>               

                   </div>

    

                </div><!-- /.box-body -->

                <div class="box-footer">

                  <button type="submit" class="btn btn-info pull-right" name="form1">SUBMIT</button>

                </div><!-- /.box-footer -->       

            </form>     



        </div><!-- /.box -->

    </div>

  </section><!-- /.content -->

</div><!-- /.content-wrapper -->



<?php include ("../include/footer.php"); ?>