<?php 

include("../include/header.php"); 
include("../include/connection.php");
include ("left-sidebar.php") ; 
require_once('delete_confirm.php');
?>
<?php


	if(isset($_POST['form_edit_stock']))

	{
	
	  	$id = $_POST['cid'];
	  	try {		
			if(empty($_POST['item_code'])) {
				throw new Exception("Item Code can not be empty.");
			}				

			$statement = $db->prepare("UPDATE gst_stock SET item_code=?, item_name=?, item_type=?, hsn_code=?, sku_code=?, selling_price=?, purchase_price=?, unit_m=?, group_code=?, company=?, brand=?, qty=?, remarks=? WHERE id = ? ");

			$statement->execute(array($_POST['item_code'],$_POST['item_name'],$_POST['item_type'],$_POST['hsn_code'],$_POST['sku_code'],$_POST['selling_price'],$_POST['purchase_price'],$_POST['unit_m'],$_POST['group_code'],$_POST['company'],$_POST['brand'],$_POST['qty'],$_POST['remarks'],$id));			

			$success_message = "Stock has been updated successfully.";	

			

	  	}	  

	  catch(Exception $e) { 

		$error_message = $e->getMessage();

	  }

	} 

?>



<script>



	$( function() {

		var availableTags = [

			<?php						

			$statement	= $db->prepare("SELECT * FROM gst_hsn_code");

			$statement->execute();

			$result=$statement->fetchAll(PDO::FETCH_ASSOC);

			foreach($result as $row){					

			?>

			"<?php echo $row['hsn_code'] ?>",

			<?php } ?>						 

		];

		$( "#hsn_code" ).autocomplete({

		  source: availableTags

		});

	});





	$( function() {
		var availableTags = [
			<?php
			$statement	= $db->prepare("SELECT * FROM gst_group");
			$statement->execute();
			$result=$statement->fetchAll(PDO::FETCH_ASSOC);
			foreach($result as $row){
			?>
			"<?php echo $row['group_code'] ?>",
			<?php } ?>						 
		];
		$( "#tags" ).autocomplete({
		  	source: availableTags
		});
	});
	
	
	$( function() {
		var availableTags = [
			<?php
			$statement	= $db->prepare("SELECT * FROM gst_invoice");
			$statement->execute();
			$result=$statement->fetchAll(PDO::FETCH_ASSOC);
			foreach($result as $row){
			?>
			"<?php echo $row['invoice_no'] ?>",
			<?php } ?>						 
		];
		$( "#invoice_no" ).autocomplete({
		  	source: availableTags
		});
	});

	$( function() {
		var availableTags = [
			<?php
			$statement	= $db->prepare("SELECT DISTINCT cust_name FROM gst_invoice");
			$statement->execute();
			$result=$statement->fetchAll(PDO::FETCH_ASSOC);
			foreach($result as $row){
			?>
			"<?php echo $row['cust_name'] ?>",
			<?php } ?>						 
		];
		$( "#name" ).autocomplete({
		  	source: availableTags
		});
	});

	

</script>



<script>

	function ajaxSearch() {
		$.ajax({  
			url: "view_sales_ajax.php",
			type: "POST",
			data: {
				   'search'	 		: 	'search',
				   'invoice_no'	 	: 	$('#invoice_no').val(),
				   'date1'	 		: 	$('#date1').val(),
				   
				   'date2'	 		: 	$('#date2').val(),
				   'payment_type'	:	$('#payment_type').val(),
				   'name'		 	: 	$('#name').val()
				 },
			success: function(data){
				//alert(data);
				$('#view_content').html(data)
			}
		});
		return false;
	}
	
	

</script>
<style>
	.table>tbody>tr>td{  vertical-align: middle; }
</style>
<div class="content-wrapper">
  	<section class="content">
	   	<div class="row">
        	<div class="col-xs-12">			
				<div class="box">
                	<div class="box-header">
                  		<h3 class="box-title">Quick Search</h3>
                	</div><!-- /.box-header -->  
                	<div class="box-body">
                		<table  class="table ">
                        	<tr>
                            	<td width="8%">Invoice No</td>
                                <td width="10%"><input type="text" id="invoice_no" class="form-control" value="" onblur="return ajaxSearch();" /></td>
                                <td width="8%">Customer Name</td>
                                <td width="10%"><input type="text" id="name" class="form-control" value="" onblur="return ajaxSearch();" /></td>
								<td width="8%">Payment Type</td>
                                <td width="10%">
									<select name="payment_type" id="payment_type" class="form-control">
										<option value="">Select</option>
										<option value="Cash">Cash</option>
										<option value="Credit">Credit</option>
									</select>
								</td>
								<td width="10%">Date</td>
                                <td width="20%">
                                	<input type="text" id="date1" class="form-control" placeholder="dd-mm-yyyy" style="width:110px; float:left;" value="<?php //echo date("d-m-Y") ?>" />
                                	<input type="text" id="date2" class="form-control" placeholder="dd-mm-yyyy" style="width:110px; float:left; margin-left:10px;" value="<?php //echo date("d-m-Y") ?>" />
                                </td>
                                <td width="20%">
									<input type="button" name="submit" value="SEARCH" class="btn btn-danger" onclick="return ajaxSearch();"  />
									<input type="button" name="submit" value="CLEAR" class="btn btn-warning" onclick="window.location.reload()"  style="margin-left:10px;" />
								</td>
                            </tr>
                        </table>
    				</div>
            	</div>
						

              <div class="box">
                <div class="box-header">
                  	<h3 class="box-title">View Cash Sale</h3>
                </div><!-- /.box-header -->              
				<div class="box-body">
                    <div class="table-responsive" id="view_content">  
                        <?php include_once("view_sales_ajax.php"); ?>
            		</div><!-- /.box-body -->

    	</div>

  	</div><!-- /.box -->

</div>

</div>



<?php

	if(isset($_POST['form_add_payment'])){
		$id					=	$_POST['cid'];
		$tot_amount_1		=	$_POST['tot_amount_1'];
		$balance_amount_1	=	$_POST['balance_amount_1'];
		$pay_amount			=	$_POST['pay_amount'];
		$narration			=	$_POST['narration'];
		$new_bal_amt		=	$balance_amount_1 - $pay_amount;
		
		$date				=	date("Y-m-d");
		
		if($new_bal_amt==0){
			$status		=	"1";
		}else{
			$status		=	"0";
		}
		
		$sql1				=	"INSERT INTO gst_payment_details (date, invoice_id, tot_amount, pay_amount, bal_amount, narration, status) VALUES (?,?,?,?,?,?,?)";
				$statement			=	$db->prepare($sql1);
		$statement->execute(array($date, $id, $tot_amount_1, $pay_amount, $new_bal_amt, $narration, $status));
				
		$sql2				=	"UPDATE gst_invoice SET balance_amt=? WHERE id='$id'";
		$statement			=	$db->prepare($sql2);
		$statement->execute(array($new_bal_amt));
				
		$success_message 	= 	"Payment has been updated successfully.";	
		echo "<script>window.location='view_sales.php'</script>";
	}
	
?>



  </section><!-- /.content -->

</div><!-- /.content-wrapper -->

<script>
 	$("#date1").datepicker({ dateFormat: 'dd-mm-yy' });
    $("#date2").datepicker({ dateFormat: 'dd-mm-yy' });
</script>

<?php include ("../include/footer.php"); ?>