<?php 
include("../include/header.php"); 
include("../include/connection.php");
include ("left-sidebar.php") ; 
require_once('delete_confirm.php');
?>
<style>
	..ui-autocomplete{ max-height:200px;  }
</style>
<?php

	if(isset($_POST['form_edit_stock']))

	{		
	  	$id = $_POST['cid'];
	  	try {		
			if(empty($_POST['item_code'])) {			
				throw new Exception("Item Code can not be empty.");
			}							
			$hsn_c		=	$_POST['hsn_code'];	
			
			
			$hsn_c		=	$_POST['hsn_code'];	
	
			if($hsn_c != ""){
				$statement 	= 	$db->prepare("SELECT * FROM gst_hsn_code WHERE hsn_code=?");
				$statement->execute(array($hsn_c));
				$result=$statement->fetchAll(PDO::FETCH_ASSOC);
				foreach($result as $row){	
					$igst	=	$row['igst'];
				}
				$cgst			=	$igst / 2;	
				$sgst			=	$igst / 2;		
			} else {
				$igst			=	$_POST['tax_rate'];
				$cgst			=	$igst / 2;	
				$sgst			=	$igst / 2;	
			}
			$mrp_price		=	$_POST['selling_price'];
		
			$sell_price		=	($mrp_price * 100)/(100 + $igst);
		
			$sell_price		=	round($sell_price,2);
			
			$tot_price		=	$_POST['tot_price'];
						

			$statement = $db->prepare("UPDATE gst_stock SET item_code=?, item_name=?, item_type=?, hsn_code=?, selling_price=?, purchase_price=?, mrp_price=?, total_amount=?, igst=?, cgst=?, sgst=?, unit_m=?, group_code=?, company=?, brand=?, new_category=?, qty=?, remarks=? WHERE id = ? ");

			$statement->execute(array($_POST['item_code'],$_POST['item_name'],$_POST['item_type'],$_POST['hsn_code'],$sell_price,$_POST['purchase_price'], $mrp_price, $tot_price, $igst, $cgst, $sgst, $_POST['unit_m'],$_POST['group_code'],$_POST['company'],$_POST['brand'],$_POST['new_category'],$_POST['qty'],$_POST['remarks'],$id));			

			$success_message = "Stock has been updated successfully.";			

	  	}	  

	  	catch(Exception $e) { 
			$error_message = $e->getMessage();
	  	}
	} 
?>

<?php


	if(isset($_REQUEST['del_id'])) 
	{

	  	$id = $_REQUEST['del_id'];	  
	  	$statement = $db->prepare("DELETE FROM gst_stock WHERE id=?");
	  	$statement->execute(array($id));	  
	  	$success_message = "Stock has been deleted successfully.";	  
	}

?>

<script>
	$( function() {
		var availableTags = [
			<?php						
			$statement	= $db->prepare("SELECT * FROM gst_hsn_code");
			$statement->execute();
			$result=$statement->fetchAll(PDO::FETCH_ASSOC);

			foreach($result as $row){					

			?>

			"<?php echo $row['hsn_code'] ?>",

			<?php } ?>						 

		];

		$( "#hsn_code" ).autocomplete({

			source: availableTags

		});

	});





	$( function() {
		var availableTags = [
			<?php	
			$statement	= $db->prepare("SELECT * FROM gst_group");
			$statement->execute();
			$result=$statement->fetchAll(PDO::FETCH_ASSOC);
			foreach($result as $row){					
			?>
			"<?php echo $row['group_code'] ?>",
			<?php } ?>						 
		];
		$( "#tags" ).autocomplete({
		  	source: availableTags
		});
	});
	
	
	$( function() {
		var availableTags = [
			<?php	
			$statement	= $db->prepare("SELECT * FROM gst_stock");
			$statement->execute();
			$result=$statement->fetchAll(PDO::FETCH_ASSOC);
			foreach($result as $row){					
			?>
			"<?php echo $row['item_code'] ?>",
			<?php } ?>						 
		];
		$( "#item_code" ).autocomplete({
		  	source: availableTags
		});
	});


$( function() {
		var availableTags = [
			<?php	
			$statement	= $db->prepare("SELECT * FROM gst_stock ");
			$statement->execute();
			$result=$statement->fetchAll(PDO::FETCH_ASSOC);
			foreach($result as $row){					
			?>
			"<?php echo $row['item_name'] ?>",
			<?php } ?>						 
		];
		$( "#item_name" ).autocomplete({
		  	source: availableTags
		});
	});


</script>

<script>

	function hsn(id){
		$.ajax({
			url		:	'ajax.php',
			type	:	'POST',
			data	:	{ 'hsn_code' : id },
			success :	function(data){
				$('#hsn_details').html(data);
			}
		});
	}

</script>    

<script>

	function ajaxSearch() {
		$.ajax({  
			url: "view_stock_master_ajax.php",
			type: "POST",
			data: {
				   'search'	 			: 'search',
				   'item_code'	 		: $('#item_code').val(),
				   'item_name'	 		: $('#item_name').val(),
				   'hsn_code'	 		: $('#hsn_code').val()
				 },
			success: function(data){
				
				$('#view_content').html(data)
			}
		});
		return false;
	}

</script>


<div id="hsn_details"></div>

<div class="content-wrapper">

  <section class="content">

	   <div class="row">

        	<div class="col-xs-12">
				<div class="box">
                	<div class="box-header">
                  		<h3 class="box-title">Quick Search</h3>
                	</div><!-- /.box-header -->                
                	<div class="box-body">
                		<table  class="table ">
                        	<tr>
                            	<td width="10%">Item Code</td>
                                <td width="15%"><input type="text" id="item_code" class="form-control" value="" onblur="ajaxSearch();" /></td>
                                <td width="10%">Item Name</td>
                                <td width="15%"><input type="text" id="item_name" class="form-control" value=""  onblur="ajaxSearch();" /></td>
                                <td width="10%">HSN Code</td>
                                <td width="15%"><input type="text" id="hsn_code" class="form-control" value="" /></td>
                                <td width="20%">
									<input type="button" name="submit" value="SEARCH" class="btn btn-danger" onclick="return ajaxSearch();"  />
									<input type="button" name="submit" value="CLEAR" class="btn btn-warning" onclick="window.location.reload()"  style="margin-left:10px;" />
								</td>
                            </tr>
                        </table>
    				</div>
            	</div>


              	<div class="box">
                	<div class="box-header">
                  		<h3 class="box-title" style=" width: 100%;">View Stock Master
						<a href="excel_new_stock_report.php" target="_blank" style="float:right; " class="btn btn-danger btn-xs">Excel Report</a>
						</h3>
                	</div><!-- /.box-header -->      

           		<?php
              		if(isset($error_message))
              		{ 
				?>
                <div class="alert alert-danger">
                    <p class=""><?php echo $error_message ; ?></p>
                </div>
            	<?php 
              		} 
            	else if(isset($success_message))
              		{ 
				?>
                <div class="alert alert-success">
                    <p class=""><?php echo $success_message ; ?></p>
                </div>
            	<?php } ?>			
                <div class="box-body">
					<div class="table-responsive" id="view_content">  
                  		<?php  include_once("view_stock_master_ajax.php") ?>
					</div><!-- /.box-body -->
				</div>		
		  	</div><!-- /.box -->
		</div>
	</div>
  	</section><!-- /.content -->
</div><!-- /.content-wrapper -->
<?php include ("../include/footer.php"); ?>