<?php 
include("../include/header.php"); 
include("../include/connection.php");

include ("left-sidebar.php") ; 

require_once('delete_confirm.php');

?>



<?php

	if(isset($_POST['form_edit_stock']))

	{		

	  	$id = $_POST['cid'];

	  	try {		

			if(empty($_POST['company'])) {				

				throw new Exception("Supplier name can not be empty.");

			}				

			

			$id		=	$_POST['cid'];	

			

			$statement = $db->prepare("UPDATE gst_supplier SET email=?, phone=?, company=?, address1=?, address2=?, city=?, state=?, pin=?, website=?, gst=?, remarks=? WHERE id = ? ");

			$statement->execute(array($_POST['email'],$_POST['phone'], $_POST['company'], $_POST['address1'], $_POST['address2'], $_POST['city'],$_POST['state'],$_POST['pin'],$_POST['website'], $_POST['gst'], $_POST['remarks'],$id));			

			$success_message = "Supplier has been updated successfully.";				

	  	}	  

	  catch(Exception $e) { 

		$error_message = $e->getMessage();

	  }

	} 

?>



<?php

	if(isset($_REQUEST['del_id'])) 

	{

	  	$id = $_REQUEST['del_id'];	  

	  	$statement = $db->prepare("DELETE FROM gst_supplier WHERE id=?");

	  	$statement->execute(array($id));	  

	  	$success_message = "Stock has been deleted successfully.";	  

	}

?>

<script>

	function ajaxSearch() {
		$.ajax({  
			url: "view_supplier_ajax.php",
			type: "POST",
			data: {
				   'search'	 			: 'search',
				   'supplier'	 		: $('#supplier').val(),
				   'phone'	 			: $('#phone').val()
				 },
			success: function(data){
				$('#view_content').html(data)
			}
		});
		return false;
	}

</script>

<div class="content-wrapper">

  <section class="content">

	   <div class="row">

        	<div class="col-xs-12">


				<div class="box">
                	<div class="box-header">
                  		<h3 class="box-title">Quick Search</h3>
                	</div><!-- /.box-header -->                
                	<div class="box-body">
                		<table  class="table ">
                        	<tr>
                            	<td width="10%">Supplier Name</td>
                                <td width="15%"><input type="text" id="supplier" class="form-control" value="" /></td>
                                <td width="10%">Phone</td>
                                <td width="15%"><input type="text" id="phone" class="form-control" value="" /></td>                                
                                <td width="10%"><input type="button" name="submit" value="SEARCH" class="btn btn-danger" onclick="return ajaxSearch();"  /></td>
                            </tr>
                        </table>
    				</div>
            	</div>


              <div class="box">
                <div class="box-header">
                  <h3 class="box-title">View Suppliers</h3>
                </div><!-- /.box-header -->        

                <?php
				  if(isset($error_message))				
				  { ?>				
					<div class="alert alert-danger">				
						<p class=""><?php echo $error_message ; ?></p>				
					</div>
				<?php 				
				   } 
				 else if(isset($success_message))				
				  { ?>
					<div class="alert alert-success">				
						<p class=""><?php echo $success_message ; ?></p>				
					</div>				
				<?php } ?>


                <div class="box-body">

                <div class="table-responsive" id="view_content">  

                  	<?php include_once("view_supplier_ajax.php"); ?>

    			</div><!-- /.box-body -->

    </div>

  </div><!-- /.box -->

</div>

</div>







  </section><!-- /.content -->

</div><!-- /.content-wrapper -->



<?php include ("../include/footer.php"); ?>