<?php 

include("../include/header.php"); 
include("../include/connection.php");
include ("left-sidebar.php") ; 
require_once('delete_confirm.php');

if(isset($_POST['form1']))
{
  try {      
    if(empty($_POST['account_name'])) {
	
      	throw new Exception("Please enter account name.");
		
    }      	
	
	$d_date		=	date("Y-m-d", strtotime($_POST['date']));	
	$statement = $db->prepare("INSERT INTO gst_bank (account_name, bank_name, account_number, current_balance, narration, date, delStatus) VALUES (?,?,?,?,?,?,?)");	
    $statement->execute(array($_POST['account_name'], $_POST['bank_name'], $_POST['account_number'], $_POST['current_balance'], $_POST['narration'],$d_date, '0'));    	
	$l_id	=	$db->lastInsertId();     			

	$statement = $db->prepare("INSERT INTO gst_bank_cash (account_name, entry_type, amount, date, narration) VALUES (?,?,?,?,?)");
	
    $statement->execute(array($l_id, "Deposit", $_POST['current_balance'], $d_date, "Opening Balance"));   
	
	$success_message = "Bank has been added successfully."; 
	
	
  	}  
  	catch(Exception $e) { 
    	$error_message = $e->getMessage();
  	}
} 

?>

<div class="content-wrapper">
  	<section class="content">
    <!-- SELECT2 EXAMPLE -->
    <div class="box box-default">
      	<div class="box box-info">
          	<div class="box-header with-border">
            	<h3 class="box-title">Add Bank Account</h3>
         	</div><!-- /.box-header -->          

			<?php
              	if(isset($error_message))
              	{ 
            ?>               
			<div class="alert alert-danger">
			
			
				<p class=""><?php echo $error_message ; ?></p>
           	</div>
            <?php 
               	} 
            	else if(isset($success_message))
              	{ 
			?>
           	<div class="alert alert-success">
                <p class=""><?php echo $success_message ; ?></p>
            </div>
            <?php 
				} 
			?>            
        	<!-- form start -->
			<form class="form-horizontal" action="" method="post" enctype="multipart/form-data">
				<div class="box-body">
					<div class="form-group">					 
						<label for="inputEmail3" class="col-sm-2 control-label">Account Name</label>
						<div class="col-sm-3">
							<input type="text" class="form-control" id="inputEmail3" placeholder="" name="account_name" autocomplete="off">
						</div>    						             
					</div>                  

                  	<div class="form-group">
						<label for="inputEmail3" class="col-sm-2 control-label">Bank Name </label>
						<div class="col-sm-3">
							<input type="text" class="form-control" id="inputEmail3" placeholder="" name="bank_name" autocomplete="off">
						</div>  
                  	</div>                                   

					<div class="form-group">
                     	<label for="inputEmail3" class="col-sm-2 control-label">Account Number </label>
                    	<div class="col-sm-3">
							<input type="text" class="form-control" placeholder="" name="account_number" autocomplete="off">
                    	</div>  
					</div>
					
					<div class="form-group">
                     	<label for="inputEmail3" class="col-sm-2 control-label">Current Balance </label>
                    	<div class="col-sm-3">
							<input type="text" class="form-control" placeholder="" name="current_balance" autocomplete="off">
                    	</div>  
					</div>
					
					<div class="form-group">
                     	<label for="inputEmail3" class="col-sm-2 control-label">Date</label>
                    	<div class="col-sm-3">
							<input type="text" class="form-control" id="date1" placeholder="" name="date" autocomplete="off">
                    	</div>  
					</div>
					
					<div class="form-group">
                     	<label for="inputEmail3" class="col-sm-2 control-label">Narration </label>
                    	<div class="col-sm-3">
							<textarea class="form-control" id="narration"  name="narration" autocomplete="off"></textarea>
                    	</div>  
					</div>
                </div><!-- /.box-body -->

				<div class="box-footer">
					<button type="submit" class="btn btn-info pull-left" name="form1">SUBMIT</button>
				</div><!-- /.box-footer -->      
            </form>
        	</div><!-- /.box -->
    	</div>
  	</section><!-- /.content -->
</div><!-- /.content-wrapper -->

<script>
 	$("#date1").datepicker({ dateFormat: 'dd-mm-yy' });
</script>


<?php include ("../include/footer.php"); ?>