<?php 



include("../include/header.php"); 
include("../include/connection.php");
include ("left-sidebar.php") ; 
require_once('delete_confirm.php');

if(isset($_POST['form1']))
{

  try {      
    if(empty($_POST['title'])) {
	
      	throw new Exception("Please enter Title.");
		
    }      	
	
	$d_date		=	date("Y-m-d", strtotime($_POST['date']));
	
	$statement = $db->prepare("INSERT INTO gst_cash_in (title, payment_type, ref_no, date, narration) VALUES (?,?,?,?,?)");
	
    $statement->execute(array($_POST['title'], $_POST['payment_type'],$_POST['ref_no'],$d_date, $_POST['narration']));    
	
    $success_message = "Cash has been added successfully."; 
	
  	}  
  	catch(Exception $e) { 
    	$error_message = $e->getMessage();
  	}
} 

?>

<div class="content-wrapper">
  	<section class="content">
    <!-- SELECT2 EXAMPLE -->
    <div class="box box-default">
      	<div class="box box-info">
          	<div class="box-header with-border">
            	<h3 class="box-title">Add Cash In</h3>
         	</div><!-- /.box-header -->          

			<?php
              	if(isset($error_message))
              	{ 
            ?>               
			<div class="alert alert-danger">
			
			
				<p class=""><?php echo $error_message ; ?></p>
           	</div>
            <?php 
               	} 
            	else if(isset($success_message))
              	{ 
			?>
           	<div class="alert alert-success">
                <p class=""><?php echo $success_message ; ?></p>
            </div>
            <?php 
				} 
			?>       
			     
        	<!-- form start -->
			<form class="form-horizontal" action="" method="post" enctype="multipart/form-data">
				<div class="box-body">
					<div class="form-group">					 
						<label for="inputEmail3" class="col-sm-2 control-label">Title</label>
						<div class="col-sm-3">
							<input type="text" class="form-control" id="title" placeholder="" name="title" autocomplete="off">
						</div>    						             
					</div>                  

                  	<div class="form-group">
						<label for="inputEmail3" class="col-sm-2 control-label">Payment Type </label>
						<div class="col-sm-3">
							<select name="payment_type" class="form-control">
								<option value="">-Select-</option>
								<option value="Cash">Cash</option>
								<option value="cheque">cheque</option>
							</select>
						</div>  
                  	</div>            
					
					<div class="form-group">					 
						<label for="inputEmail3" class="col-sm-2 control-label">Ref No</label>
						<div class="col-sm-3">
							<input type="text" class="form-control" id="ref_no" placeholder="" name="ref_no" autocomplete="off">
						</div>    						             
					</div>                            

					<div class="form-group">
                     	<label for="inputEmail3" class="col-sm-2 control-label">Date </label>
                    	<div class="col-sm-3">
							<input type="text" class="form-control" id="date1" placeholder="" name="date" autocomplete="off">
                    	</div>  
					</div>
					
					<div class="form-group">
                     	<label for="inputEmail3" class="col-sm-2 control-label">Narration </label>
                    	<div class="col-sm-3">
							<textarea class="form-control" id="narration"  name="narration" autocomplete="off"></textarea>
                    	</div>  
					</div>
                </div><!-- /.box-body -->

				<div class="box-footer">
					<button type="submit" class="btn btn-info pull-right" name="form1">SUBMIT</button>
				</div><!-- /.box-footer -->      
            </form>
        	</div><!-- /.box -->
    	</div>
  	</section><!-- /.content -->
</div><!-- /.content-wrapper -->

<script>
 	$("#date1").datepicker({ dateFormat: 'dd-mm-yy' });
</script>


<?php include ("../include/footer.php"); ?>