<?php
include("../include/header.php"); 
include("../include/connection.php");
include ("left-sidebar.php") ; 
require_once('delete_confirm.php');
if(isset($_POST['form1']))
{
  try {    
    if(empty($_POST['name'])) {
      throw new Exception("Customer Name can not be empty.");
    }      	

	$statement = $db->prepare("INSERT INTO gst_customer (name, email, phone, address1, address2, city,  state, pin, gst, client_type, remarks) VALUES 
	(?,?,?,?,?,?,?,?,?,?,?)");
    $statement->execute(array($_POST['name'], $_POST['email'],$_POST['phone'], $_POST['address1'], $_POST['address2'], $_POST['city'],$_POST['state'],$_POST['pin'], $_POST['gst'], $_POST['client_type'], $_POST['remarks']));    
    $success_message = "Customer has been added successfully."; 
 	}
		
  	catch(Exception $e) { 
    	$error_message = $e->getMessage();
  	}	
} 
?>

<?php
	$x		=	200;	
	$y		=	15;	
	$tot	=	$x * $y/100;			
?>

<div class="content-wrapper">
	<section class="content">
    <!-- SELECT2 EXAMPLE -->
    <div class="box box-default">
      <div class="box box-info">
          <div class="box-header with-border">
            <h3 class="box-title">Customer Information</h3>
          </div><!-- /.box-header -->
			<?php
              	if(isset($error_message))
              	{ 
            ?>
                <div class="alert alert-danger">
                    <p class=""><?php echo $error_message ; ?></p>
                </div>
            <?php 
               	} 
            	else if(isset($success_message))
              	{ 
			?>
                <div class="alert alert-success">
                    <p class=""><?php echo $success_message ; ?></p>
                </div>
            <?php 
				} 
			?>   
        <!-- form start -->
		<form class="form-horizontal" action="" method="post" enctype="multipart/form-data">
			<div class="box-body">
				<div class="form-group">				      
                    <label for="inputEmail3" class="col-sm-2 control-label">Customer Name </label>
                    <div class="col-sm-3">
                      <input type="text" class="form-control" id="hsn_code" placeholder="" name="name" autocomplete="off">
                    </div>    
                    <label for="inputEmail3" class="col-sm-2 control-label">Email </label>
                    <div class="col-sm-3">
                      	<input type="text" class="form-control" id="inputEmail3" placeholder="" name="email" autocomplete="off">
                    </div>               
                  </div>
               

                  <div class="form-group">
                    <label for="inputEmail3" class="col-sm-2 control-label">Phone</label>
                    <div class="col-sm-3">
                      	<input type="text" class="form-control" id="inputEmail3" placeholder="" name="phone" autocomplete="off">
                    </div>                
                    <label for="inputEmail3" class="col-sm-2 control-label">Address1</label>
                    <div class="col-sm-3">
                        <input type="text" name="address1" class="form-control" value="" autocomplete="off" />                   
					</div>     
                  </div>

                  

                  <div class="form-group">                  
                           

                    <label for="inputEmail3" class="col-sm-2 control-label">Address2</label>

                    <div class="col-sm-3">

                        <input type="text" name="address2" class="form-control" value="" autocomplete="off"

 />                    </div>     

                   

                    <label for="inputEmail3" class="col-sm-2 control-label">City</label>

                    <div class="col-sm-3">

                        <input type="text" class="form-control" id="tags" placeholder="" name="city" autocomplete="off">

                    </div>      

                  </div>

                  

				<div class="form-group">

                     <label for="inputEmail3" class="col-sm-2 control-label">State</label>

                    <div class="col-sm-3">

                      	<select name="state" class="form-control">

							<option value="">-Select-</option>

							<?php

								$statement=$db->prepare("SELECT * FROM gst_state");

								$statement->execute();

								$result=$statement->fetchAll(PDO::FETCH_ASSOC);

								foreach($result as $row){

							?>

							<option value="<?php echo $row['state']; ?>" <?php if($row['state']=="32"){ ?> selected="selected" <?php } ?>><?php echo $row['state_code']; ?></option>

							<?php } ?>

                        </select>

                    </div>  

                    <label for="inputEmail3" class="col-sm-2 control-label">Pincode	</label>

                    <div class="col-sm-3">

               			<input type="text" class="form-control" id="inputEmail3" maxlength="6" placeholder="" name="pin" autocomplete="off">

                    </div>     
				</div>
				
				<script>
					function view_det1(){
						$('#aa').show();
						$('#bb').show();
					}
					
					function view_det2(){
						$('#aa').hide();
						$('#bb').hide();
					}
				</script>

               <div class="form-group">                       
				<label for="inputEmail3" class="col-sm-2 control-label">Registered Type</label>

                        <div class="col-sm-3">

                           <input type="radio" name="client_type" value="R" onclick="view_det1()" checked="checked" /> Registered
						   <input type="radio" name="client_type" value="U" onclick="view_det2()" /> Un Registered

                        </div>   
                    <label for="inputEmail3" class="col-sm-2 control-label" id="aa">GST No.</label>
                    <div class="col-sm-3" id="bb">
                        <input type="text" class="form-control brand" id="inputEmail3" placeholder="" name="gst" autocomplete="off">
                    </div>       
					
					             
  

                </div>

                  

                <div class="form-group">
                          					
					 <label for="inputEmail3" class="col-sm-2 control-label">Remarks</label>
                        <div class="col-sm-3">
                          <textarea name="remarks" class="form-control"></textarea>
                        </div>     
					 
                </div>

                                    

                                    

                   <div class="form-group"> 

                       
                   </div>

    

                </div><!-- /.box-body -->

                <div class="box-footer">

                  <button type="submit" class="btn btn-info pull-right" name="form1">SUBMIT</button>

                </div><!-- /.box-footer -->    

            </form>     
        </div><!-- /.box -->
	</div>
	
	
	
	
	
	<div class="box box-default">

      	<div class="box box-info">

          	<div class="box-header with-border">

            	<h3 class="box-title">Upload Stock</h3>

          	</div><!-- /.box-header -->

			<?php

              	if(isset($error_message3))

              	{ 

            ?>

                <div class="alert alert-danger">

                    <p class=""><?php echo $error_message3 ; ?></p>

                </div>

            <?php 

               	} 

            	else if(isset($success_message3))

              	{ 

			?>

                <div class="alert alert-success">

                    <p class=""><?php echo $success_message3 ; ?></p>

                </div>

            <?php 

				} 

			?>            

          

        <!-- form start -->

		<form class="form-horizontal" action="" method="post" enctype="multipart/form-data">
			<div class="box-body">
				<div class="form-group">
					<label for="inputEmail3" class="col-sm-2 control-label">Upload Customer</label>
                    <div class="col-sm-3">
                      	<input type="file" name="uploads" autocomplete="off">
                    </div>                
                    <label for="inputEmail3" class="col-sm-2 control-label"><a href="upload/sample_customer.xls">Sample File</a> </label>
                </div> 
           	</div>
            <div class="box-footer">
              	<button type="submit" class="btn btn-info pull-right" name="form2">UPLOAD</button>
            </div>
		</form>		

		<?php require_once 'excel_reader3.php';
			
		 ?>	



		<?php

			if(isset($_POST['form2'])) {					
				if (is_uploaded_file($_FILES['uploads']['tmp_name']))  
				{   
					$uploads = time()."_".$_FILES["uploads"]["name"];
					move_uploaded_file($_FILES['uploads']['tmp_name'],"upload/".$uploads);	
					$data = new Spreadsheet_Excel_Reader("upload/".$uploads);	
						
				} else {
					echo "File is not uploaded.";
				}
				
				$branch_id 		= "6";
				for ($x = 2; $x <= count($data->sheets[0]["cells"]); $x++) {					

					$name 			= 	$data->sheets[0]["cells"][$x][1];
					$email 			= 	$data->sheets[0]["cells"][$x][2];
					$phone 			= 	$data->sheets[0]["cells"][$x][3];
					$address1		= 	$data->sheets[0]["cells"][$x][4];
					$address2 		=	$data->sheets[0]["cells"][$x][5];
					$city 			= 	$data->sheets[0]["cells"][$x][6];
					$state 			= 	$data->sheets[0]["cells"][$x][7];
					$pin	 		= 	$data->sheets[0]["cells"][$x][8];                      
					$gst			= 	$data->sheets[0]["cells"][$x][9];                        
					$remarks		= 	$data->sheets[0]["cells"][$x][10];
					
					
					if($name!=""){												
						
						$sql	=	"INSERT INTO gst_customer (name, email, phone, address1, address2, city,  state, pin, gst, remarks) VALUES 
	('$name', '$email', '$phone', '$address1', '$address2', '$city', '$state', '$pin', '$gst', '$remarks')"; 						
						//print_r($sql);						
						$statement = $db->prepare($sql);
						$statement->execute();    													  					
					}       
					
					$success_message3 = "Stock has been upload successfully.";  
					
				}                   
				
			}
		?>	

        </div><!-- /.box -->

    </div>
	
	
	
	
	

  	</section><!-- /.content -->
</div><!-- /.content-wrapper -->

<?php include ("../include/footer.php"); ?>