<?php 

include("../include/header.php"); 
include("../include/connection.php");
include ("left-sidebar.php") ; 
require_once('delete_confirm.php');
?>

<script>

	function ajaxSearch() {
		$.ajax({  
			url: "cash_in_hand_ajax.php",
			type: "POST",
			data: {
				   'search'	 			: 'search',
				   'amount'	 			: $('#amount').val(),
				   'payment_type'		: $('#payment_type').val(),
				   'date1'	 			: $('#date1').val(),
				   'date2'	 			: $('#date2').val()
				 },
			success: function(data){
				$('#view_content').html(data)
			}
		});
		return false;
	}

</script>

<?php

	if(isset($_POST['form_add_cash']))
	{		
	  	$id = $_POST['cid'];
	  	try {		
			if(empty($_POST['payment_type'])) {			
				throw new Exception("Please select payment type");
			}						
			
			$d_date		=	date("Y-m-d", strtotime($_POST['date']));
			
			$sql		=	"INSERT INTO gst_cash_in (payment_type, amount, date, narration) VALUES(?,?,?,?) ";
			$statement = $db->prepare($sql);
			$statement->execute(array( $_POST['payment_type'], $_POST['amount'], $d_date, $_POST['narration']));			
			$success_message = "Cash transaction has been saved successfully.";	
			
			echo "<script>window.location='cash_in_hand.php'</script>";		
	  	}	  
	  	catch(Exception $e) { 
			$error_message = $e->getMessage();
	  	}
	} 
	
	
	if(isset($_POST['form_edit_cash']))
	{		
	  	$id = $_POST['cid'];
	  	try {		
			if(empty($_POST['payment_type'])) {			
				throw new Exception("Please select payment type");
			}						
			
			$d_date		=	date("Y-m-d", strtotime($_POST['date']));
			
			//$sql		=	"INSERT INTO gst_cash_in (payment_type, amount, date, narration) VALUES(?,?,?,?) ";
			$sql		=	"UPDATE gst_cash_in SET payment_type=?, amount=?, date=?, narration=? WHERE id=?";
			$statement = $db->prepare($sql);
			$statement->execute(array( $_POST['payment_type'], $_POST['amount'], $d_date, $_POST['narration'], $id));			
			$success_message = "Cash transaction has been saved successfully.";	
			
			echo "<script>window.location='cash_in_hand.php'</script>";		
	  	}	  
	  	catch(Exception $e) { 
			$error_message = $e->getMessage();
	  	}
	} 
	
	
?>
<?php  ?>

<?php
	if(isset($_REQUEST['del_id'])) 
	{
	  	$id = $_REQUEST['del_id'];	  
	  	$statement = $db->prepare("DELETE FROM gst_cash_in WHERE id=?");
	  	$statement->execute(array($id));	  
	  	$success_message = "Cash has been deleted successfully.";	  
	}
?>

<div id="hsn_details"></div>
<div class="content-wrapper">
  	<section class="content">
	   	<div class="row">
        	<div class="col-xs-12">
				<div class="box">
                	<div class="box-header">
                  		<h3 class="box-title">Quick Search</h3>
                	</div><!-- /.box-header -->                
                	<div class="box-body">
                		<table  class="table ">
                        	<tr>
								<td width="10%">Type</td>
                                <td width="10%">
									<select name="payment_type" id="payment_type" class="form-control">
										<option value="">-Select-</option>
										<option value="Add Cash" >Add Cash</option>
										<option value="Reduce Cash" >Reduce Cash</option>
									</select>							
								</td>
                            	<td width="10%">Amount</td>
                                <td width="10%">
									<input type="text" name="amount" id="amount" value="" class="form-control" />									
								</td>
                                <td width="10%">Date</td>
                                <td width="20%">
                                	<input type="text" id="date1" class="form-control" placeholder="dd-mm-yyyy" style="width:130px; float:left;" value="" />
                                	<input type="text" id="date2" class="form-control" placeholder="dd-mm-yyyy" style="width:130px; float:left; margin-left:10px;" value="" />
                                </td>
                                <td width="10%"><input type="button" name="submit" value="SEARCH" class="btn btn-warning" onclick="return ajaxSearch();"  /></td>
								<td width="15%">
								<?php
									$sql	=	"SELECT SUM(amount) as amount1 FROM gst_cash_in gc WHERE gc.payment_type='Add Cash'";
									$statement = $db->prepare($sql);				
									$statement->execute($arr);				
									$result = $statement->fetchAll(PDO::FETCH_ASSOC);				
									foreach($result as $row)				
									{
										$amount1	=	$row['amount1'];
									}
								?>
								<?php
									$sql	=	"SELECT SUM(amount) as amount2 FROM gst_cash_in gc WHERE gc.payment_type='Reduce Cash'";
									$statement = $db->prepare($sql);				
									$statement->execute($arr);				
									$result = $statement->fetchAll(PDO::FETCH_ASSOC);				
									foreach($result as $row)				
									{
										$amount2	=	$row['amount2'];
									}
									$bal	=	$amount1 - $amount2;
								?>
								
									Cash In Hand: <b style="color:#C10000;"><?php echo $bal; ?></b>
								</td>
                            </tr>
                        </table>
    				</div>
            	</div>

              	<div class="box">
                	<div class="box-header">
                  		<h3 class="box-title" style="width:100%; float:left;">Cash In Details
							<button class="btn btn-xs btn-danger" data-toggle="modal" data-target="#add_cash" style="float:right;">ADJUST CASH</button>
						</h3>
                	</div><!-- /.box-header -->      
					
					
					<div class="modal fade" id="add_cash" tabindex="-1" role="dialog" aria-labelledby="Login" aria-hidden="true">
                      	<div class="modal-dialog">
                          	<div class="modal-content">
                              	<div class="modal-header">
                                  	<button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                      	<span aria-hidden="true">&times;</span>
                                  	</button>
                                  	<h5 class="modal-title">Update Information</h5>
                              	</div>
                              	<div class="modal-body">
                                  	<!-- The form is placed inside the body of modal -->      
                            		<div class="box-header with-border">
                              			<h3 class="box-title">Edit Cash Details</h3>
                              		</div>       
									<form class="form-horizontal" action="" method="post" enctype="multipart/form-data">
										<div class="box-body">
																				
									
										<div class="form-group">
											<label for="inputEmail3" class="col-sm-4 control-label">Payment Type</label>
											<div class="col-sm-6">
												<select name="payment_type" class="form-control">
													<option value="">-Select-</option>
													<option value="Add Cash" >Add Cash</option>
													<option value="Reduce Cash" >Reduce Cash</option>
												</select>					
											</div>
										</div>
										
										<div class="form-group">
											<label for="inputEmail3" class="col-sm-4 control-label">Amount</label>
											<div class="col-sm-6">
												<input type="text" class="form-control" id="inputEmail3" value="" name="amount" autocomplete="off">
											</div>
										</div>
		
										<div class="form-group">
											<label for="inputEmail3" class="col-sm-4 control-label">Date</label>
											<div class="col-sm-6">
												<input type="text" class="form-control" id="datea" placeholder="" name="date" value="<?php echo date("d-m-Y"); ?>" autocomplete="off">
											</div> 
										</div> 
								
										<div class="form-group">
											<label for="inputEmail3" class="col-sm-4 control-label">Narration</label>
											<div class="col-sm-6">
												<input type="text" class="form-control" id="narration" placeholder="" name="narration" value="" autocomplete="off">
											</div> 
										</div> 

										<div class="form-group">
											<label for="inputEmail3" class="col-sm-4 control-label"></label>
											<div class="col-sm-6">
												<button type="submit" class="btn btn-info pull-right" name="form_add_cash">ADD</button>
											</div> 
										</div>  
										<br />     
		
										
									</form>
								</div>
							</div>
						</div>
					</div>
				</div>
					

           		<?php
              		if(isset($error_message))
              		{ 
				?>
                <div class="alert alert-danger">
                    <p class=""><?php echo $error_message ; ?></p>
                </div>
            	<?php 
              		} 
            	else if(isset($success_message))
              		{ 
				?>
                <div class="alert alert-success">
                    <p class=""><?php echo $success_message ; ?></p>
                </div>
            	<?php } ?>			
                <div class="box-body">
					<div class="table-responsive" id="view_content">  
                  		<?php  include_once("cash_in_hand_ajax.php") ?>
					</div><!-- /.box-body -->
				</div>		
		  	</div><!-- /.box -->
		</div>
	</div>
  	</section><!-- /.content -->
</div><!-- /.content-wrapper -->

<script>
 	$("#date1").datepicker({ dateFormat: 'dd-mm-yy' });
    $("#date2").datepicker({ dateFormat: 'dd-mm-yy' });
	$("#deposit_date").datepicker({ dateFormat: 'dd-mm-yy' });
	$("#datea").datepicker({ dateFormat: 'dd-mm-yy' });
	$("#dateb").datepicker({ dateFormat: 'dd-mm-yy' });
</script>

<?php include ("../include/footer.php"); ?>