<?php 

include("../include/header.php"); 
include("../include/connection.php");
include ("left-sidebar.php") ; 
require_once('delete_confirm.php');
?>
<script>

	function ajaxSearch() {
		$.ajax({  
			url: "view_bank_ajax.php",
			type: "POST",
			data: {
				   'search'	 			: 'search',
				   'account_name' 		: $('#account_name').val(),
				   'bank_name'	 		: $('#bank_name').val(),
				   'account_number'	 	: $('#account_number').val()
				   
				 },
			success: function(data){
				$('#view_content').html(data)
			}
		});
		return false;
	}

</script>

<?php

	if(isset($_POST['form_edit_bank']))
	{		
	  	$id = $_POST['cid'];
	  	try {		
			if(empty($_POST['bank_name'])) {			
				throw new Exception("Please select Bank");
			}						
			
			$d_date		=	date("Y-m-d", strtotime($_POST['date']));
			
			$statement = $db->prepare("UPDATE gst_bank SET account_name=?, bank_name=?, account_number=?, narration=?, date=? WHERE id = ? ");
			$statement->execute(array($_POST['account_name'], $_POST['bank_name'],  $_POST['account_number'], $_POST['narration'], $d_date, $_POST['cid']));			
			$success_message = "Bank updated successfully.";	
			
			echo "<script>window.location='view_bank.php'</script>";		
	  	}	  
	  	catch(Exception $e) { 
			$error_message = $e->getMessage();
	  	}
	} 
	
?>

<?php
	if(isset($_REQUEST['del_id'])) 
	{

	  	$id = $_REQUEST['del_id'];	  
	  	$statement = $db->prepare("UPDATE gst_bank SET delStatus='1' WHERE id=?");
	  	$statement->execute(array($id));	  
	  	$success_message = "Bank has been deleted successfully.";	  
	}
?>

<div id="hsn_details"></div>
<div class="content-wrapper">
  	<section class="content">
	   	<div class="row">
        	<div class="col-xs-12">
				<div class="box">
                	<div class="box-header">
                  		<h3 class="box-title">Quick Search</h3>
                	</div><!-- /.box-header -->                
                	<div class="box-body">
                		<table  class="table ">
                        	<tr>
								<td width="10%">Bank</td>
                                <td width="15%">
									<select name="bank_name" id="bank_name" class="form-control" onchange="return ajaxSearch()"> 
										<option value="">-Select-</option>
										<?php
											$statement=$db->prepare("SELECT DISTINCT bank_name FROM gst_bank");
											$statement->execute();
											$result=$statement->fetchAll(PDO::FETCH_ASSOC);
											foreach($result as $row){
										?>
										<option value="<?php echo $row['bank_name']; ?>"><?php echo $row['bank_name']; ?></option>
										<?php } ?>
									</select>									
								</td>
								<td width="10%">Name</td>
                                <td width="15%">
									<input type="text" id="account_name" class="form-control"   value="" />							
								</td>
                            	
								<td width="10%">Number</td>
                                <td width="15%">
									<input type="text" id="account_number" class="form-control"   value="" />							
								</td>
                               <!-- <td width="10%">Date</td>
                                <td width="30%">
                                	<input type="text" id="date1" class="form-control" placeholder="dd-mm-yyyy" style="width:90px; float:left;" value="" />
                                	<input type="text" id="date2" class="form-control" placeholder="dd-mm-yyyy" style="width:90px; float:left; margin-left:10px;" value="" />
                                </td>-->
                                <td width="15%"><input type="button" name="submit" value="SEARCH" class="btn btn-danger" onclick="return ajaxSearch();"  /></td>
                            </tr>
                        </table>
    				</div>
            	</div>


              	<div class="box">
                	<div class="box-header">
                  		<h3 class="box-title">Bank Details</h3>
                	</div><!-- /.box-header -->      

           		<?php
              		if(isset($error_message))
              		{ 
				?>
                <div class="alert alert-danger">
                    <p class=""><?php echo $error_message ; ?></p>
                </div>
            	<?php 
              		} 
            	else if(isset($success_message))
              		{ 
				?>
                <div class="alert alert-success">
                    <p class=""><?php echo $success_message ; ?></p>
                </div>
            	<?php } ?>			
                <div class="box-body">
					<div class="table-responsive" id="view_content">  
                  		<?php  include_once("view_bank_ajax.php") ?>
					</div><!-- /.box-body -->
				</div>		
		  	</div><!-- /.box -->
		</div>
	</div>
  	</section><!-- /.content -->
</div><!-- /.content-wrapper -->

<script>
 	$("#date1").datepicker({ dateFormat: 'dd-mm-yy' });
    $("#date2").datepicker({ dateFormat: 'dd-mm-yy' });
	$("#deposit_date").datepicker({ dateFormat: 'dd-mm-yy' });
</script>

<?php include ("../include/footer.php"); ?>