<?php 
include("include/connection.php");
if(isset($_POST['form_login'])) 
{    
    try {
        if(empty($_POST['username'])) {
            throw new Exception('Username can not be empty');
        }        
        if(empty($_POST['password'])) {
            throw new Exception('Password can not be empty');
        }            
        $password = $_POST['password']; 
        $password = md5($password);      
        $num=0;
		                
        $statement = $db->prepare("SELECT * FROM gst_admin_login WHERE username=? AND password=? AND delStatus = 0");
        $statement->execute(array($_POST['username'],$password));               
        $num = $statement->rowCount();        
        if($num>0) 
        {
			
            session_start();
            $_SESSION['nav_name'] 	= 	"Nav_it";
			$_SESSION['fin_year']	=	$_POST['fin_year'];
			$result = $statement->fetchAll(PDO::FETCH_ASSOC);
			foreach($result as $row)
			{
				$_SESSION['id']			=	$row['id'];
				$_SESSION['username']	=	$row['name'];
				$_SESSION['user_type']	=	$row['user_type'];
				$_SESSION['login_type']	=	$row['login_type'];
				$_SESSION['reg_status']	=	$row['reg_status'];
			}
			if($_SESSION['login_type']=="1"){
				if($_SESSION['reg_status']!="1"){
					header("location: registration.php");
				}else{
            		header("location: admin/admin.php");
				}
			}else{
				if($_SESSION['reg_status']!="1"){
					header("location: registration.php");
				}else{
					header("location: gst_tax/admin/admin.php");
				}
			}
        }
        else
        {          
        
        throw new Exception('Invalid Username or password');
      }

    }    
    catch(Exception $e) {
        $error_message = $e->getMessage();
    }
    
}

?>

<!DOCTYPE html>
	<html>
  	<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>NAV GST | We simplify your work</title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <!-- Bootstrap 3.3.5 -->
    <link rel="stylesheet" href="bootstrap/css/bootstrap.min.css">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css">
    <!-- Ionicons -->
    <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/AdminLTE.min.css">
    <!-- iCheck -->
    <link rel="stylesheet" href="plugins/iCheck/square/blue.css">
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
        <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
   	<style>
   	 body{ background:url('images/bg1.jpg') no-repeat !important;  background-position:center; background-size:100% 100%  !important;}
   	.login-box, .register-box { width: 360px; margin: 11% auto; }
	.login-box-body{ background: #ececec; }
	.form-control { border-radius: 0; box-shadow: none; border-color: #d2d6de; border-radius: 4px; font-size: 12px; height: 33px !important; }
   </style>
  </head>
  <body class="hold-transition login-page" style="background:#fff;">
    <div class="login-box">
      <div class="login-logo">
        <a href="javascript:void(0)"><img src="images/gst_navigator_home.png" height="68" style="margin-top: -1px;"></a>
      </div><!-- /.login-logo -->
      <?php
        if(isset($error_message))
        { ?>
          <div class="alert alert-danger">
              <p class=""><?php echo $error_message ; ?></p>
          </div>
          <br />
      <?php } ?>
      <div class="login-box-body" style=" ">
        <p class="login-box-msg">Login In To Dashboard</p>
        <form action="" method="post" autocomplete="off" >
			<div class="form-group has-feedback">
		 <select name="fin_year" class="form-control" required>
		 	<option value="">-Select Financial Year-</option>
			<option value="2017">April 2017 - MArch 2018</option>
			<option value="2018">April 2018 - MArch 2019</option>
		 </select>
            
          </div>
          <div class="form-group has-feedback">
		  <input type="text" class="form-control" name="username" autocomplete="off" style="display:none" >
            <input type="text" class="form-control" placeholder="Username" name="username" autocomplete="off"required>
           <span class="glyphicon glyphicon-envelope form-control-feedback"></span>
          </div>
          <div class="form-group has-feedback">
            <input type="password" class="form-control" placeholder="Password" name="password" autocomplete="off" required>
            <span class="glyphicon glyphicon-lock form-control-feedback"></span>
          </div>
          <div class="row">
            <div class="col-xs-8">
              
            </div><!-- /.col -->
            <div class="col-xs-4">
              <button type="submit" class="btn btn-primary btn-block btn-flat" name="form_login">Sign In</button>
            </div><!-- /.col -->
          </div>
        </form>


      </div><!-- /.login-box-body -->
    </div><!-- /.login-box -->

    <!-- jQuery 2.1.4 -->
    <script src="../../plugins/jQuery/jQuery-2.1.4.min.js"></script>
    <!-- Bootstrap 3.3.5 -->
    <script src="../../bootstrap/js/bootstrap.min.js"></script>
    <!-- iCheck -->
    <script src="../../plugins/iCheck/icheck.min.js"></script>
    <script>
      $(function () {
        $('input').iCheck({
          checkboxClass: 'icheckbox_square-blue',
          radioClass: 'iradio_square-blue',
          increaseArea: '20%' // optional
        });
      });
    </script>
  </body>
</html>
