<?php 

include("../include/header.php"); 

include("../include/connection.php");




include ("left-sidebar.php") ; 

require_once('delete_confirm.php');

if(isset($_POST['form1']))
{
  try {      
    if(empty($_POST['account_name'])) {
	
      	throw new Exception("Please select account name.");
		
    }      	
	
	$d_date		=	date("Y-m-d", strtotime($_POST['date']));
	
	$statement = $db->prepare("INSERT INTO gst_bank_cash (account_name, entry_type, amount, date, narration) VALUES (?,?,?,?,?)");
	
    $statement->execute(array($_POST['account_name'], $_POST['entry_type'], $_POST['amount'], $d_date, $_POST['narration']));    
	
    $success_message = "Transaction has been saved successfully."; 
	
  	}  
  	catch(Exception $e) { 
    	$error_message = $e->getMessage();
  	}
} 

?>

<div class="content-wrapper">
  	<section class="content">
    <!-- SELECT2 EXAMPLE -->
    <div class="box box-default">
      	<div class="box box-info">
          	<div class="box-header with-border">
            	<h3 class="box-title">Cash Adjustment</h3>
         	</div><!-- /.box-header -->          

			<?php
              	if(isset($error_message))
              	{ 
            ?>               
			<div class="alert alert-danger">
			
			
				<p class=""><?php echo $error_message ; ?></p>
           	</div>
            <?php 
               	} 
            	else if(isset($success_message))
              	{ 
			?>
           	<div class="alert alert-success">
                <p class=""><?php echo $success_message ; ?></p>
            </div>
            <?php 
				} 
				
			?>            
        	<!-- form start -->
			<form class="form-horizontal" action="" method="post" enctype="multipart/form-data">
				<div class="box-body">
					<div class="form-group">					 
						<label for="inputEmail3" class="col-sm-2 control-label">Select Account Name</label>
						<div class="col-sm-3">
							<select name="account_name" class="form-control">
								<option value="">-Select-</option>
								<?php
									$statement=$db->prepare("SELECT * FROM gst_bank");
									$statement->execute();
									$result=$statement->fetchAll(PDO::FETCH_ASSOC);
									foreach($result as $row){
								?>
								<option value="<?php echo $row['id']; ?>"><?php echo $row['account_name']; ?></option>
								<?php } ?>
								</select>
						</div>    						             
					</div>  
					
					<div class="form-group">					 
						<label for="inputEmail3" class="col-sm-2 control-label">Entry Type</label>
						<div class="col-sm-3">
							<select name="entry_type" class="form-control">
								<option value="">-Select-</option>
								<option value="Deposit">Deposit</option>
								<option value="Withdraw">Withdraw</option>
							</select>
						</div>    						             
					</div>                  

                  	<div class="form-group">
						<label for="inputEmail3" class="col-sm-2 control-label">Amount </label>
						<div class="col-sm-3">
							<input type="text" class="form-control" id="inputEmail3" placeholder="" name="amount" autocomplete="off">
						</div>  
                  	</div>                                   

					<div class="form-group">
                     	<label for="inputEmail3" class="col-sm-2 control-label">Date </label>
                    	<div class="col-sm-3">
							<input type="text" class="form-control" id="date1" placeholder="" name="date" autocomplete="off">
                    	</div>  
					</div>
					
					<div class="form-group">
                     	<label for="inputEmail3" class="col-sm-2 control-label">Narration </label>
                    	<div class="col-sm-3">
							<textarea class="form-control" id="narration"  name="narration" autocomplete="off"></textarea>
                    	</div>  
					</div>
                </div><!-- /.box-body -->

				<div class="box-footer">
					<button type="submit" class="btn btn-info pull-right" name="form1">SUBMIT</button>
				</div><!-- /.box-footer -->      
            </form>
        	</div><!-- /.box -->
    	</div>
  	</section><!-- /.content -->
</div><!-- /.content-wrapper -->

<script>
 	$("#date1").datepicker({ dateFormat: 'dd-mm-yy' });
</script>


<?php include ("../include/footer.php"); ?>