<?php 

include("../include/header.php"); 

include("../include/connection.php");

include ("left-sidebar.php") ; 

require_once('delete_confirm.php');



if(isset($_POST['form1']))

{

  try {    

    if(empty($_POST['category'])) {

      throw new Exception("Category can not be empty.");

    }      

    $statement = $db->prepare("INSERT INTO gst_category (category) VALUES (?)");

    $statement->execute(array($_POST['category']));    

    $success_message = "Category has been inserted successfully."; 

  }  

  catch(Exception $e) { 

    $error_message = $e->getMessage();

  }

} 

?>



<?php

	if(isset($_POST['form_edit_category']))

	{

	  	$id = $_POST['cid'];

	  	try {		

			if(empty($_POST['category'])) {

				throw new Exception("Category can not be empty.");

			}				

			$statement = $db->prepare("UPDATE gst_category SET category=? WHERE id = ? ");

			$statement->execute(array($_POST['category'],$id));			

			$success_message = "Category has been updated successfully.";		  

	  	}	  

	  catch(Exception $e) { 

		$error_message = $e->getMessage();

	  }

	} 

?>



<?php

	if(isset($_REQUEST['del_id'])) 

	{

	  	$id = $_REQUEST['del_id'];	  

	  	$statement = $db->prepare("DELETE FROM gst_category WHERE id=?");

	  	$statement->execute(array($id));	  

	  	$success_message = "Category has been deleted successfully.";	  

	}

?>



<div class="content-wrapper">

  <section class="content">



    <!-- SELECT2 EXAMPLE -->

    <div class="box box-default">

      <div class="box box-info">

          <div class="box-header with-border">

            <h3 class="box-title">Add Category</h3>

          </div><!-- /.box-header -->

            <?php

              if(isset($error_message))

              { ?>

                <div class="alert alert-danger">

                    <p class=""><?php echo $error_message ; ?></p>

                </div>

            <?php 

               } 

             else if(isset($success_message))

              { ?>

                <div class="alert alert-success">

                    <p class=""><?php echo $success_message ; ?></p>

                </div>

            <?php } ?>

            

            
 		<script>		
						
				function valid(){
					var category	=	$('#category').val();
					//alert(group_code);
					$.ajax({
					url		:	'ajax_validation.php',					
					type	:	'POST',					
					data	:	{ 'category' : category },					
					success :	function(data){					
							//alert(data);
							$('#det1').html(data);
						}
					});
				}
				
			</script>   
            

            

          

          <!-- form start -->

          <form class="form-horizontal" action="" method="post" enctype="multipart/form-data" onsubmit="return valid()">

            <div class="box-body">

              <div class="form-group">
                <label for="inputEmail3" class="col-sm-2 control-label">Category Name</label>
                <div class="col-sm-2">
                  <input type="text" class="form-control" id="category" placeholder="" name="category" onchange="valid()" autocomplete="off" required>
                </div>   
              </div>
			  
			  
			  <div class="form-group">
                <label for="inputEmail3" class="col-sm-2 control-label" id="det1" style="color:#FF0033"></label>
                <div class="col-sm-2">
                </div>   
              </div>

            </div><!-- /.box-body -->

            <div class="box-footer">

              <button type="submit" class="btn btn-info pull-right" name="form1">SUBMIT</button>

            </div><!-- /.box-footer -->           

          </form>



          



        </div><!-- /.box -->

    </div>



    <div class="row">

            <div class="col-xs-12">

              <div class="box">

                <div class="box-header">

                  <h3 class="box-title">View Category </h3>

                </div><!-- /.box-header -->

                <div class="box-body">

                 <div class="table-responsive">  

                  <table id="example2" class="table table-bordered table-hover">

                    <thead>

                      <tr>

                        <th>No.</th>

                        <th>Category Name</th>

                        <th colspan="2" width="15%">Action</th>

                      </tr>

                    </thead>



                    <tbody>



          <?php

        $i=0;

        $statement = $db->prepare("SELECT * FROM gst_category ORDER BY category ASC");

        $statement->execute();

        $result = $statement->fetchAll(PDO::FETCH_ASSOC);

        foreach($result as $row)

        {

          $i++;

          ?>



            <tr>

              <td><?php echo $i ; ?></td>

                  <td><?php echo $row['category']; ?></td>

                  <td><button class="btn btn-xs btn-primary" data-toggle="modal" data-target="#editModal<?php echo $i ; ?>">Edit</button></td>

                  <!--product edit modal -->

                  <div class="modal fade" id="editModal<?php echo $i; ?>" tabindex="-1" role="dialog" aria-labelledby="Login" aria-hidden="true">

                      <div class="modal-dialog">

                          <div class="modal-content">

                              <div class="modal-header">

                                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">

                                      <span aria-hidden="true">&times;</span>

                                  </button>

                                  <h5 class="modal-title">Update Category</h5>

                              </div>



                              <div class="modal-body">

                                  <!-- The form is placed inside the body of modal -->      

                            <div class="box-header with-border">

                              <h3 class="box-title">Edit Category </h3>

                            </div><!-- /.box-header -->

                            

                            <!-- form start -->

                            <form class="form-horizontal" action="" method="post" enctype="multipart/form-data">

                            	<input type="hidden" name="cid" value="<?php echo $row['id']; ?>" />

                              	<div class="box-body">

                                <div class="form-group">

                                  <label for="inputEmail3" class="col-sm-4 control-label">Group Code</label>

                                  <div class="col-sm-6">

                                    <input type="text" class="form-control" id="inputEmail3" value="<?php echo $row['category']; ?>" name="category" autocomplete="off">

                                  </div>

                                </div>

                                <br />                                                     



                              </div><!-- /.box-body -->

                              <div class="box-footer">

                                <button type="submit" class="btn btn-info pull-right" name="form_edit_category">UPDATE</button>

                              </div><!-- /.box-footer -->

                            </form>



                              </div>

                          </div>

                      </div>

                  </div>

                  <!--Product edit modal end -->





                  <td>

                      <form method="POST" action="" accept-charset="UTF-8" style="display:inline">

                      	<input type="hidden" name="del_id" value="<?php echo $row['id']; ?>" />

                      	<button class="btn btn-xs btn-danger" type="button" data-toggle="modal" data-target="#confirmDelete" data-title="Delete Category" data-message="Are you sure you want to delete ?">  Delete</button>

                      </form>

                  </td>

     

              </tr>

              

          <?php



            }



          ?>

          </tbody>                  

		

      </table>

    </div><!-- /.box-body -->

    </div>

  </div><!-- /.box -->

</div>

</div>

  </section><!-- /.content -->

</div><!-- /.content-wrapper -->



<?php include ("../include/footer.php"); ?>