<?php 

include("../include/header.php"); 
include("../include/connection.php");
include ("left-sidebar.php") ; 
require_once('delete_confirm.php');
?>
<script>

	function ajaxSearch() {
		$.ajax({  
			url: "expense_ajax.php",
			type: "POST",
			data: {
				   'search'	 			: 'search',
				   'expense'	 		: $('#expense').val(),
				   'date1'	 			: $('#date1').val(),
				   'date2'	 			: $('#date2').val()
				 },
			success: function(data){
				$('#view_content').html(data)
			}
		});
		return false;
	}
	
</script>

<?php
	if(isset($_POST['form1']))
	{
	
	  	try {      
			if(empty($_POST['expense'])) {			
				throw new Exception("Please enter expense bank.");				
			}      	
		
			$d_date		=	date("Y-m-d", strtotime($_POST['date']));		
			$statement = $db->prepare("INSERT INTO gst_expense (expense, amount, date, status, narration) VALUES (?,?,?,?,?)");
			$statement->execute(array($_POST['expense'], $_POST['amount'],$d_date,'0', $_POST['narration']));    
			$success_message = "Expense has been added successfully."; 
			}  
		catch(Exception $e) { 
			$error_message = $e->getMessage();
		}
	} 


	if(isset($_POST['form_edit_cash']))
	{		
	  	$id = $_POST['cid'];
	  	try {		
			if(empty($_POST['expense'])) {			
				throw new Exception("Please select Bank");
			}						
			
			$d_date		=	date("Y-m-d", strtotime($_POST['date']));
			
			$statement = $db->prepare("UPDATE gst_expense SET expense=?, amount=?, date=?, narration=? WHERE id = ? ");
			$statement->execute(array($_POST['expense'], $_POST['amount'], $d_date, $_POST['narration'], $_POST['cid']));			
			$success_message = "Expense updated successfully.";	
			
			echo "<script>window.location='view_expense.php'</script>";		
	  	}	  
	  	catch(Exception $e) { 
			$error_message = $e->getMessage();
	  	}
	} 
	
?>
<?php  ?>

<?php
	if(isset($_REQUEST['del_id'])) 
	{

	  	$id = $_REQUEST['del_id'];	  
	  	$statement = $db->prepare("DELETE FROM gst_expense WHERE id=?");
	  	$statement->execute(array($id));	  
	  	$success_message = "Expense has been deleted successfully.";	  
	}
?>

<div id="hsn_details"></div>
<div class="content-wrapper">
  	<section class="content">
	   	<div class="row">
        	<div class="col-xs-12">
				<div class="box">
                	<div class="box-header">
                  		<h3 class="box-title">Quick Search</h3>
                	</div><!-- /.box-header -->                
                	<div class="box-body">
                		<table  class="table ">
                        	<tr>
                            	<td width="10%">Title</td>
                                <td width="15%">
									<input type="text" class="form-control" id="expense" placeholder="" name="expense" autocomplete="off">								
								</td>
                                <td width="10%">Date</td>
                                <td width="25%">
                                	<input type="text" id="date1" class="form-control" placeholder="dd-mm-yyyy" style="width:130px; float:left;" value="" />
                                	<input type="text" id="date2" class="form-control" placeholder="dd-mm-yyyy" style="width:130px; float:left; margin-left:10px;" value="" />
                                </td>
                                <td width="10%"><input type="button" name="submit" value="SEARCH" class="btn btn-warning" onclick="return ajaxSearch();"  /></td>
                            </tr>
                        </table>
    				</div>
            	</div>


              	<div class="box">
                	<div class="box-header">
                  		
						<h3 class="box-title" style="width:100%; float:left;">Expense Details
							<button class="btn btn-xs btn-danger" data-toggle="modal" data-target="#add_cash" style="float:right;">ADJUST EXPENSE</button>
						</h3>
						
						
						<div class="modal fade" id="add_cash" tabindex="-1" role="dialog" aria-labelledby="Login" aria-hidden="true">
                      	<div class="modal-dialog">
                          	<div class="modal-content">
                              	<div class="modal-header">
                                  	<button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                      	<span aria-hidden="true">&times;</span>
                                  	</button>
                                  	<h5 class="modal-title">Update Information</h5>
                              	</div>
                              	<div class="modal-body" style=" color: #000;">
                                  	<!-- The form is placed inside the body of modal -->      
                            		<div class="box-header with-border">
                              			<h3 class="box-title">Edit Cash Details</h3>
                              		</div>       
									<form class="form-horizontal" action="" method="post" enctype="multipart/form-data">
										<div class="box-body">
																				
									
										<div class="form-group">
											<label for="inputEmail3" class="col-sm-4 control-label">Expense Type</label>
											<div class="col-sm-6">
												<input type="text" class="form-control" id="expense" placeholder="" name="expense" autocomplete="off">				
											</div>
										</div>
										
										<div class="form-group">
											<label for="inputEmail3" class="col-sm-4 control-label">Amount</label>
											<div class="col-sm-6">
												<input type="text" class="form-control" id="inputEmail3" value="" name="amount" autocomplete="off">
											</div>
										</div>
										                       
		
										<div class="form-group">
											<label for="inputEmail3" class="col-sm-4 control-label">Date</label>
											<div class="col-sm-6">
												<input type="text" class="form-control" id="datea" placeholder="" name="date" value="<?php echo date("d-m-Y"); ?>" autocomplete="off">
											</div> 
										</div> 
										<div class="form-group">
											<label for="inputEmail3" class="col-sm-4 control-label">Narration</label>
											<div class="col-sm-6">
												<input type="text" class="form-control" id="narration" placeholder="" name="narration" value="" autocomplete="off">
											</div> 
										</div> 

										<div class="form-group">
											<label for="inputEmail3" class="col-sm-4 control-label"></label>
											<div class="col-sm-6">
												<button type="submit" class="btn btn-info pull-right" name="form1">ADD</button>
											</div> 
										</div>  
										<br />     
		
										
									</form>
								</div>
							</div>
						</div>
					</div>
				</div>
           	</div><!-- /.box-header -->      
			<?php
				if(isset($error_message))
				{ 
			?>
				<div class="alert alert-danger">
					<p class=""><?php echo $error_message ; ?></p>
				</div>
			<?php 
				} 
				else if(isset($success_message))
				{ 
			?>
				<div class="alert alert-success">
					<p class=""><?php echo $success_message ; ?></p>
				</div>
			<?php } ?>			
                <div class="box-body">
					<div class="table-responsive" id="view_content">  
                  		<?php  include_once("expense_ajax.php") ?>
					</div><!-- /.box-body -->
				</div>		
		  	</div><!-- /.box -->
		</div>
	</div>
  	</section><!-- /.content -->
</div><!-- /.content-wrapper -->

<script>
 	$("#date1").datepicker({ dateFormat: 'dd-mm-yy' });
    $("#date2").datepicker({ dateFormat: 'dd-mm-yy' });
	$("#deposit_date").datepicker({ dateFormat: 'dd-mm-yy' });
		$("#datea").datepicker({ dateFormat: 'dd-mm-yy' });
</script>

<?php include ("../include/footer.php"); ?>