<?php 
include("../include/header.php"); 
include("../include/connection.php");
include ("left-sidebar.php") ; 
require_once('delete_confirm.php');

if(isset($_POST['form1']))
{
  try {    
    if(empty($_POST['state_code'])) {
      throw new Exception("State code can not be empty.");
    }      
    $statement = $db->prepare("INSERT INTO gst_state (state_code, state) VALUES (?,?)");
    $statement->execute(array($_POST['state_code'],$_POST['state']));    
    $success_message = "State has been inserted successfully."; 
  }  
  catch(Exception $e) { 
    $error_message = $e->getMessage();
  }
} 
?>

<?php
	if(isset($_POST['form_edit_state']))
	{
	  	$id = $_POST['cid'];
	  	try {		
			if(empty($_POST['state_code'])) {
				throw new Exception("State code can not be empty.");
			}				
			$statement = $db->prepare("UPDATE gst_state SET state_code=?, state=? WHERE id = ? ");
			$statement->execute(array($_POST['state_code'],$_POST['state'],$id));			
			$success_message = "State code has been updated successfully.";		  
	  	}	  
	  catch(Exception $e) { 
		$error_message = $e->getMessage();
	  }
	} 
?>

<?php
	if(isset($_REQUEST['del_id'])) 
	{
	  	$id = $_REQUEST['del_id'];	  
	  	$statement = $db->prepare("DELETE FROM gst_state WHERE id=?");
	  	$statement->execute(array($id));	  
	  	$success_message = "State code has been deleted successfully.";	  
	}
?>

<div class="content-wrapper">
  <section class="content">

    <!-- SELECT2 EXAMPLE -->
    <div class="box box-default">
      <div class="box box-info">
          <div class="box-header with-border">
            <h3 class="box-title">Add State Code</h3>
          </div><!-- /.box-header -->
            <?php
              if(isset($error_message))
              { ?>
                <div class="alert alert-danger">
                    <p class=""><?php echo $error_message ; ?></p>
                </div>
            <?php 
               } 
             else if(isset($success_message))
              { ?>
                <div class="alert alert-success">
                    <p class=""><?php echo $success_message ; ?></p>
                </div>
            <?php } ?>
            
            
            
            
          
          <!-- form start -->
          <form class="form-horizontal" action="" method="post" enctype="multipart/form-data">
            <div class="box-body">
              <div class="form-group">
                <label for="inputEmail3" class="col-sm-2 control-label">State Code</label>
                <div class="col-sm-2">
                  <input type="text" class="form-control" id="inputEmail3" placeholder="" name="state_code" autocomplete="off">
                </div>
                
                <label for="inputEmail3" class="col-sm-2 control-label">State </label>
                <div class="col-sm-2">
                  <input type="text" class="form-control" id="inputEmail3" placeholder="" name="state" autocomplete="off">
                </div>                
              </div>

            </div><!-- /.box-body -->
            <div class="box-footer">
              <button type="submit" class="btn btn-info pull-right" name="form1">SUBMIT</button>
            </div><!-- /.box-footer -->           
          </form>

          

        </div><!-- /.box -->
    </div>

    <div class="row">
            <div class="col-xs-12">
              <div class="box">
                <div class="box-header">
                  <h3 class="box-title">View State </h3>
                </div><!-- /.box-header -->
                <div class="box-body">
                 <div class="table-responsive">  
                  <table id="example2" class="table table-bordered table-hover">
                    <thead>
                      <tr>
                        <th>No.</th>
                        <th>State Code</th>
                        <th>State</th>
                        <th colspan="2" width="15%">Action</th>
                      </tr>
                    </thead>

                    <tbody>

          <?php
        $i=0;
        $statement = $db->prepare("SELECT * FROM gst_state ORDER BY id ASC");
        $statement->execute();
        $result = $statement->fetchAll(PDO::FETCH_ASSOC);
        foreach($result as $row)
        {
          $i++;
          ?>

            <tr>
              <td><?php echo $i ; ?></td>
                  <td><?php echo $row['state_code']; ?></td>
                  <td><?php echo $row['state']; ?></td>

                  <td><button class="btn btn-xs btn-primary" data-toggle="modal" data-target="#editModal<?php echo $i ; ?>">Edit</button></td>
                  <!--product edit modal -->
                  <div class="modal fade" id="editModal<?php echo $i; ?>" tabindex="-1" role="dialog" aria-labelledby="Login" aria-hidden="true">
                      <div class="modal-dialog">
                          <div class="modal-content">
                              <div class="modal-header">
                                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                      <span aria-hidden="true">&times;</span>
                                  </button>
                                  <h5 class="modal-title">Update Infromation</h5>
                              </div>

                              <div class="modal-body">
                                  <!-- The form is placed inside the body of modal -->      
                            <div class="box-header with-border">
                              <h3 class="box-title">Edit State Code </h3>
                            </div><!-- /.box-header -->
                            
                            <!-- form start -->
                            <form class="form-horizontal" action="" method="post" enctype="multipart/form-data">
                            	<input type="hidden" name="cid" value="<?php echo $row['id']; ?>" />
                              	<div class="box-body">
                                <div class="form-group">
                                  <label for="inputEmail3" class="col-sm-4 control-label">State Code</label>
                                  <div class="col-sm-6">
                                    <input type="text" class="form-control" id="inputEmail3" value="<?php echo $row['state_code']; ?>" name="state_code" autocomplete="off">
                                  </div>
                                </div>
                                <br />

                                <div class="form-group">
                                  <label for="inputEmail3" class="col-sm-4 control-label">State</label>
                                  <div class="col-sm-6">
                                    <input type="text" class="form-control" id="inputEmail3" value="<?php echo $row['state']; ?>" name="state" autocomplete="off">
                                  </div>
                                </div>
                                 <br />                               

                              </div><!-- /.box-body -->
                              <div class="box-footer">
                                <button type="submit" class="btn btn-info pull-right" name="form_edit_state">UPDATE</button>
                              </div><!-- /.box-footer -->
                            </form>

                              </div>
                          </div>
                      </div>
                  </div>
                  <!--Product edit modal end -->


                  <td>
                      <form method="POST" action="" accept-charset="UTF-8" style="display:inline">
                      	<input type="hidden" name="del_id" value="<?php echo $row['id']; ?>" />
                      	<button class="btn btn-xs btn-danger" type="button" data-toggle="modal" data-target="#confirmDelete" data-title="Delete State" data-message="Are you sure you want to delete ?">  Delete</button>
                      </form>
                  </td>     
              </tr>              
          <?php
            }

          ?>    
                        </tbody>
        
      </table>
    </div><!-- /.box-body -->
    </div>
  </div><!-- /.box -->
</div>
</div>



  </section><!-- /.content -->
</div><!-- /.content-wrapper -->

<?php include ("../include/footer.php"); ?>