<?php 
include("../include/header.php"); 
include("../include/connection.php");
include ("left-sidebar.php") ; 
require_once('delete_confirm.php');
?>
<?php

	if(isset($_REQUEST['del_id'])) 
	{
	  	$id = $_REQUEST['del_id'];	  

	  	$statement = $db->prepare("DELETE FROM gst_stock WHERE id=?");

	  	$statement->execute(array($id));	  

	  	$success_message = "Stock has been deleted successfully.";	  

	}

?>



<script>

	$( function() {

		var availableTags = [

			<?php						

			$statement	= $db->prepare("SELECT * FROM gst_hsn_code");

			$statement->execute();

			$result=$statement->fetchAll(PDO::FETCH_ASSOC);

			foreach($result as $row){					

			?>

			"<?php echo $row['hsn_code'] ?>",

			<?php } ?>						 

		];

		$( "#hsn_code" ).autocomplete({

			source: availableTags

		});

	});





	$( function() {
		var availableTags = [
			<?php						
			$statement	= $db->prepare("SELECT * FROM gst_group");
			$statement->execute();
			$result=$statement->fetchAll(PDO::FETCH_ASSOC);
			foreach($result as $row){			
			?>
			"<?php echo $row['group_code'] ?>",
			<?php } ?>						 
		];
		$( "#tags" ).autocomplete({
		  source: availableTags
		});
	});


	$( function() {
		var availableTags = [
			<?php						
			$statement	= $db->prepare("SELECT * FROM gst_purchase");
			$statement->execute();
			$result=$statement->fetchAll(PDO::FETCH_ASSOC);
			foreach($result as $row){			
			?>
			"<?php echo $row['order_no'] ?>",
			<?php } ?>						 
		];
		$( "#order_no" ).autocomplete({
		  source: availableTags
		});
	});



	$( function() {
		var availableTags = [
			<?php						
			$statement	= $db->prepare("SELECT * FROM gst_purchase");
			$statement->execute();
			$result=$statement->fetchAll(PDO::FETCH_ASSOC);
			foreach($result as $row){			
			?>
			"<?php echo $row['invoice_no'] ?>",
			<?php } ?>						 
		];
		$( "#invoice_no" ).autocomplete({
		  source: availableTags
		});
	});


	$( function() {
		var availableTags = [
			<?php						
			$statement	= $db->prepare("SELECT * FROM gst_supplier");
			$statement->execute();
			$result=$statement->fetchAll(PDO::FETCH_ASSOC);
			foreach($result as $row){			
			?>
			"<?php echo $row['company'] ?>",
			<?php } ?>						 
		];
		$( "#supplier" ).autocomplete({
		  source: availableTags
		});
	});
</script>


<script>

	function ajaxSearch() {
		$.ajax({  
			url: "view_purchase_ajax.php",
			type: "POST",
			data: {
				   'search'	 			: 'search',
				   'order_no'	 		: $('#order_no').val(),
				   'invoice_no'	 		: $('#invoice_no').val(),
				   'supplier'	 		: $('#supplier').val()
				 },
			success: function(data){
				$('#view_content').html(data)
			}
		});
		return false;
	}

</script>


<div class="content-wrapper">
  	<section class="content">
	   <div class="row">
        	<div class="col-xs-12">
				<div class="box">
                	<div class="box-header">
                  		<h3 class="box-title">Quick Search</h3>
                	</div><!-- /.box-header -->                
                	<div class="box-body">
                		<table  class="table ">
                        	<tr>
                            	<td width="10%">Order No</td>
                                <td width="15%"><input type="text" id="order_no" class="form-control" value="" onblur="ajaxSearch();" /></td>
                                <td width="10%">Invoice No</td>
                                <td width="15%"><input type="text" id="invoice_no" class="form-control" value=""  onblur="ajaxSearch();" /></td>
								<td width="10%">Supplier</td>
                                <td width="15%"><input type="text" id="supplier" class="form-control" value="" onblur="ajaxSearch();" /></td> 
                                <td width="20%">
									<input type="button" name="submit" value="SEARCH" class="btn btn-danger" onclick="return ajaxSearch();"  />
									<input type="button" name="submit" value="CLEAR" class="btn btn-warning" onclick="window.location.reload()"  style="margin-left:10px;" />
								</td>
                            </tr>
                        </table>
    				</div>
            	</div>

              <div class="box">
                	<div class="box-header">
                  		<h3 class="box-title">View Purchase Details</h3>
                	</div><!-- /.box-header --> 
                	<?php
              			if(isset($error_message))
              			{ 
					?>
						<div class="alert alert-danger">
							<p class=""><?php echo $error_message ; ?></p>
						</div>
            		<?php 
               			} 
             			else if(isset($success_message))
              			{ 
					?>
						<div class="alert alert-success">
							<p class=""><?php echo $success_message ; ?></p>
						</div>
            		<?php } ?>  
                	<div class="box-body">
                 		<div class="table-responsive" id="view_content">  
                  			<?php include_once("view_purchase_ajax.php"); ?>
    					</div><!-- /.box-body -->
    				</div>
  				</div><!-- /.box -->
			</div>
		</div>
  	</section><!-- /.content -->
</div><!-- /.content-wrapper -->
<?php include ("../include/footer.php"); ?>