<?php 
include("header.php"); 
include("../connection.php");
include ("left-sidebar.php") ; 
require_once('delete_confirm.php');

if(isset($_POST['form1']))
{
  try {    
    if(empty($_POST['item_code'])) {
      throw new Exception("Item Code can not be empty.");
    }      
	
	$hsn_c		=	$_POST['hsn_code'];
	
	//$statement	= 	$db->prepare("SELECT * FROM gst_group");
	//$statement->execute();
	
	$statement 	= 	$db->prepare("SELECT * FROM gst_hsn_code WHERE hsn_code=?");
	$statement->execute(array($hsn_c));
	$result=$statement->fetchAll(PDO::FETCH_ASSOC);
	foreach($result as $row){	
		$igst	=	$row['igst'];
	}
	$cgst			=	$igst / 2;	
	$sgst			=	$igst / 2;
		
	//$mrp_price		=	$_POST['selling_price'];		
	//$sell_tax			=	$igst * $mrp_price/100;	
	//$sell_price		=	$mrp_price - $sell_tax;
	
	$mrp_price		=	$_POST['selling_price'];
	
	
	
	
	
    $statement = $db->prepare("INSERT INTO gst_stock (item_code, item_name, item_type, hsn_code, sku_code, selling_price, purchase_price, tax_amount, mrp_price, igst, cgst, sgst, unit_m, group_code, company, brand, qty, remarks, delStatus) VALUES 
	(?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)");
    $statement->execute(array($_POST['item_code'],$_POST['item_name'],$_POST['item_type'],$_POST['hsn_code'],$_POST['sku_code'], $sell_price, $_POST['purchase_price'],  $sell_tax, $mrp_price, $igst, $cgst, $sgst, $_POST['unit_m'],$_POST['group_code'],$_POST['company'],$_POST['brand'],$_POST['qty'],$_POST['remarks'],0));    
    $success_message = "Stock has been inserted successfully."; 
  }  
  catch(Exception $e) { 
    $error_message = $e->getMessage();
  }
} 
?>

<?php
	$x		=	200;				
	$y		=	15;				
	$tot	=	$x * $y/100;				
?>



<script>
	$( function() {
		var availableTags = [
			<?php						
			$statement	= $db->prepare("SELECT * FROM gst_hsn_code");
			$statement->execute();
			$result=$statement->fetchAll(PDO::FETCH_ASSOC);
			foreach($result as $row){					
			?>
			"<?php echo $row['hsn_code'] ?>",
			<?php } ?>						 
		];
		$( "#hsn_code" ).autocomplete({
		  source: availableTags
		});
	});


	$( function() {
		var availableTags = [
			<?php						
			$statement	= $db->prepare("SELECT * FROM gst_group");
			$statement->execute();
			$result=$statement->fetchAll(PDO::FETCH_ASSOC);
			foreach($result as $row){					
			?>
			"<?php echo $row['group_code'] ?>",
			<?php } ?>						 
		];
		$( "#tags" ).autocomplete({
		  source: availableTags
		});
	});
	
	
	
	$( function() {
		var availableTags = [
			<?php						
			$statement	= $db->prepare("SELECT * FROM gst_brand");
			$statement->execute();
			$result=$statement->fetchAll(PDO::FETCH_ASSOC);
			foreach($result as $row){					
			?>
			"<?php echo $row['brand'] ?>",
			<?php } ?>						 
		];
		$( ".brand" ).autocomplete({
		  source: availableTags
		});
	});
	
	
	$( function() {
		var availableTags = [
			<?php						
			$statement	= $db->prepare("SELECT * FROM gst_category");
			$statement->execute();
			$result=$statement->fetchAll(PDO::FETCH_ASSOC);
			foreach($result as $row){					
			?>
			"<?php echo $row['category'] ?>",
			<?php } ?>						 
		];
		$( ".category" ).autocomplete({
		  source: availableTags
		});
	});
</script>
<div class="content-wrapper">
  <section class="content">

    <!-- SELECT2 EXAMPLE -->
    <div class="box box-default">
      <div class="box box-info">
          <div class="box-header with-border">
            <h3 class="box-title">Stock Master</h3>
            
          
          </div><!-- /.box-header -->
            <?php
              if(isset($error_message))
              { ?>
                <div class="alert alert-danger">
                    <p class=""><?php echo $error_message ; ?></p>
                </div>
            <?php 
               } 
             else if(isset($success_message))
              { ?>
                <div class="alert alert-success">
                    <p class=""><?php echo $success_message ; ?></p>
                </div>
            <?php } ?>
            
            
            
            
          
        <!-- form start -->
		<form class="form-horizontal" action="" method="post" enctype="multipart/form-data">
			<div class="box-body">
				<div class="form-group">
					<label for="inputEmail3" class="col-sm-2 control-label">Item Code</label>
                    <div class="col-sm-3">
                      	<input type="text" class="form-control" id="inputEmail3" placeholder="" name="item_code" autocomplete="off">
                    </div>                
                    <label for="inputEmail3" class="col-sm-2 control-label">Item Name </label>
                    <div class="col-sm-5">
                      	<input type="text" class="form-control" id="inputEmail3" placeholder="" name="item_name" autocomplete="off">
                    </div>               
                  </div>
                  
                  <div class="form-group">
                    <label for="inputEmail3" class="col-sm-2 control-label">Item Type</label>
                    <div class="col-sm-3">
                      <select name="item_type" class="form-control">
                        <option value="">-Select-</option>
                        <option value="goods">Goods</option>
                     </select>
                    </div>                
                    <label for="inputEmail3" class="col-sm-2 control-label">HSN Code </label>
                    <div class="col-sm-3">
                      <input type="text" class="form-control" id="hsn_code" placeholder="" name="hsn_code" autocomplete="off">
                    </div>               
                  </div>
                  
                  <div class="form-group">
                    <label for="inputEmail3" class="col-sm-2 control-label">SKU Code</label>
                    <div class="col-sm-3">
                      <input type="text" class="form-control" id="inputEmail3" placeholder="" name="sku_code" autocomplete="off">
                    </div>                
                           
                    <label for="inputEmail3" class="col-sm-2 control-label">Unit</label>
                    <div class="col-sm-3">
                        <select name="unit_m" class="form-control">
                            <option value="">-Select-</option>
                            <option value="Number">Number</option>
                            <option value="Kgm">Kgm</option>
                            <option value="Pouch">Pouch</option>
                            <option value="Box">Box</option>
                            <option value="Liter">Liter</option>
                            <option value="Bag">Bag</option>
                            <option value="Battle">Battle</option>
                            <option value="Container">Container</option>
                            <option value="Dozen">Dozen</option>
                            <option value="Gram">Gram</option>
                            <option value="Milliliter">Milliliter</option>
                            <option value="Meter">Meter</option>
                            <option value="Piece">Piece</option>
                            <option value="Packets">Packets</option>
                            <option value="Sq Feet">Sq Feet</option>
                         </select>
                    </div>     
                    
                         
                  </div>
                  
				<div class="form-group">
                    <label for="inputEmail3" class="col-sm-2 control-label">Purchase Price</label>
                    <div class="col-sm-3">
                      	<input type="text" class="form-control" id="inputEmail3" placeholder="" name="purchase_price" autocomplete="off">
                    </div>  
                    <label for="inputEmail3" class="col-sm-2 control-label">Selling price </label>
                    <div class="col-sm-3">
               			<input type="text" class="form-control" id="inputEmail3" placeholder="" name="selling_price" autocomplete="off">
                    </div>                     
				</div>
               
                  
                <div class="form-group">
                    <label for="inputEmail3" class="col-sm-2 control-label">Group</label>
                    <div class="col-sm-3">
                        <input type="text" class="form-control" id="tags" placeholder="" name="group_code" autocomplete="off">
                    </div>                
                    <label for="inputEmail3" class="col-sm-2 control-label">Company</label>
                    <div class="col-sm-5">
                        <input type="text" class="form-control" id="inputEmail3" placeholder="" name="company" autocomplete="off">
                    </div>               
                </div>
                   
                   <div class="form-group">
                        <label for="inputEmail3" class="col-sm-2 control-label">Brand</label>
                        <div class="col-sm-3">
                          	<input type="text" class="form-control brand" id="inputEmail3" placeholder="" name="brand" autocomplete="off">
                        </div>    
                        <label for="inputEmail3" class="col-sm-2 control-label">Category</label>
                        <div class="col-sm-3">
                          	<input type="text" class="form-control category" id="inputEmail3" placeholder="" name="category" autocomplete="off">
                        </div>               
                                    
                   </div>
                  
                  <div class="form-group">        
                  
                  		<label for="inputEmail3" class="col-sm-2 control-label">Opening Stock</label>
                        <div class="col-sm-3">
                          	<input type="text" class="form-control" id="inputEmail3" placeholder="" name="qty" autocomplete="off">
                        </div>   
                                              
                       
                   </div>
                   <div class="form-group">        
                  
                  		
                                              
                        <label for="inputEmail3" class="col-sm-2 control-label">Item Remarks</label>
                        <div class="col-sm-5">
                          <textarea name="remarks" class="form-control"></textarea>
                        </div>               
                   </div>
    
                </div><!-- /.box-body -->
                <div class="box-footer">
                  <button type="submit" class="btn btn-info pull-right" name="form1">SUBMIT</button>
                </div><!-- /.box-footer -->       
            </form>     

        </div><!-- /.box -->
    </div>
  </section><!-- /.content -->
</div><!-- /.content-wrapper -->

<?php include ("footer.php"); ?>