<?php 
include("../include/connection.php"); //error_reporting(0); ?>
<script>
function paginate(val){  
	$.ajax({  
		url: "stock_report_ajax.php?page="+val,
		success: function(data){
			$('#view_content').html(data);
		} 
	});
}
</script>

<?php 
$start = 0;
$limit = 50; 

if(isset($_GET['page'])) {
	$page = $_GET['page'];
}
else {
	$page = 1;
	$counter = 0;
}
if ($page) {
	$start = $limit *($page - 1);
	$counter = ($start) + 1;
}
?>


<div class="table-responsive">  
	<table id="example2" class="table table-bordered table-hover">
        <thead>
          	<tr>
                <th style="text-align:center;">#</th>
                <th>Item Code</th>
                <th>Item Name</th>
                <th>HSN Code</th>
                <th>Price</th>
                <th width="13%" style="text-align:center;">Closing Stock</th>
          	</tr>
        </thead>
        <tbody>
            <?php
				$needPaging = true;
                
				@$item_code	=	$_POST['item_code'];
				@$item_name	=	$_POST['item_name'];
				@$hsn_code	=	$_POST['hsn_code'];
				$sql = "SELECT * FROM gst_stock WHERE id!='' ";	
				if(!empty($_POST['search'])) {				
					if(!empty($item_code)){
						$sql .= " AND item_code=?";
						$arr[] = "$item_code";
					}

					if(!empty($item_name)){ 
						$sql .= " AND item_name=?";
						$arr[] = "$item_name";
					}

					if(!empty($hsn_code)){
						$sql .= " AND hsn_code=?";
						$arr[] = "$hsn_code";
					}
				}
				$sql.= " ORDER BY id DESC ";
				$statementc 	=	$db->prepare("SELECT COUNT(id) as tot FROM gst_stock");
				$statementc->execute(array($item_code));
				$resultc = $statementc->fetchAll(PDO::FETCH_ASSOC);
				foreach($resultc as $rowc){
					$tot_num	=	$rowc['tot'];
				}   				
							
				$_SESSION['stock_report'] 	=	$sql;	
				$_SESSION['arr'] = $arr; 
				$num_pages = ceil($tot_num/$limit);
				if ($needPaging) { 
					$sql .= " LIMIT $start,$limit"; 					
				}
								
				$statement=$db->prepare($sql);
			
                $statement->execute($arr);
                $result = $statement->fetchAll(PDO::FETCH_ASSOC);		
				$i	=	$i + $start;
                foreach($result as $row)
                {
                  	$i++;
				?>
				<tr>
					<td style="text-align:center;"><?php echo $i ; ?></td>
					<td><?php echo $row['item_code']; ?></td>
					<td><?php echo $row['item_name']; ?></td>
					<td><?php echo $row['hsn_code']; ?></td>

					<td><?php echo $row['mrp_price']; ?></td>

					<?php

						$item_code	=	$row['item_code'];

						$statementa 	=	$db->prepare("SELECT SUM(qty) as qty FROM gst_purchase_item WHERE item_code=?");

						$statementa->execute(array($item_code));

						$resulta = $statementa->fetchAll(PDO::FETCH_ASSOC);

						foreach($resulta as $rowa){

							$pur_qty	=	$rowa['qty'];

						}                    

						$statementb 	=	$db->prepare("SELECT SUM(qty) as qty FROM gst_stock WHERE item_code=?");

						$statementb->execute(array($item_code));

						$resultb = $statementb->fetchAll(PDO::FETCH_ASSOC);

						foreach($resultb as $rowb){

							$stock_qty	=	$rowb['qty'];

						}                    

						$statementc 	=	$db->prepare("SELECT SUM(qty) as qty FROM gst_invoice_item WHERE item_code=?");

						$statementc->execute(array($item_code));

						$resultc = $statementc->fetchAll(PDO::FETCH_ASSOC);

						foreach($resultc as $rowc){

							$sell_qty	=	$rowc['qty'];

						}                                

						$bal_qty	=	$pur_qty + $stock_qty - $sell_qty;                                

					?>                                 

					<td style="text-align:center;"><?php echo $bal_qty; ?></td>                  

				</tr>              

				<?php

					}

				?>                      

            </tbody>       

        </table>
		
		
		<table width="100%">
			<tr>
				<td style="text-align:center;">
					<?php					
						$i=1; 
						if($tot_num > $limit  && $needPaging) {
							echo '<ul class="pagination classC page-C-02">';
							$page_no = 1;
						if($page>1)  
						  	echo "<li><a title='Previous' href='javascript:void(0);' onclick='paginate($page-1)' class='previous'> < </a></li>";
						while($i<$tot_num)
						{
						  	if($page == $page_no) { $current = 'class="current"'; } else { $current = ''; }
						  	echo "<li class='pageNums'><a onclick='paginate($page_no)' href='javascript:void(0);' ".$current.">".$page_no."</a></li>";
						  	$page_no++;
						  	$i=$i+$limit;
						}
						if($page>=1 && $page<$num_pages)
						  	echo "<li><a title='Next' onclick='paginate($page+1)' href='javascript:void(0);' class='next'> > </a></li></ul>";
						}
					?>
				</td>
			</tr>
		</table>

		
		
		
		
<a href="excel_stock_report.php" class="btn btn-warning btn-xs">Excel Report</a>
    </div>