<?php 

include("../include/header.php"); 
include("../include/connection.php");
include ("left-sidebar.php") ; 
require_once('delete_confirm.php');

?>
<script>
	function ajaxSearch() {
		
		$.ajax({  
			url: "view_customer_ajax.php",
			type: "POST",
			data: {
				   'search'	 		: 'search',
				   'name'	 		: $('.name').val(),
				   'mobile'	 		: $('.mobile').val()
				 },
			success: function(data){
				//salert(data);
				$('#view_content').html(data)
			}
		});
		return false;
		
	}
</script>

<?php

	if(isset($_POST['form_edit_customer']))
	{		
	  	$id = $_POST['cid'];
	  	try {		
			if(empty($_POST['name'])) {	
				throw new Exception("Customer name can not be empty.");
			}			
			$id		=	$_POST['cid'];	
			$statement = $db->prepare("UPDATE gst_customer SET name=?, email=?, phone=?, address1=?, address2=?, city=?, state=?, pin=?, gst=?, remarks=? WHERE id = ? ");
			$statement->execute(array($_POST['name'],$_POST['email'],$_POST['phone'], $_POST['address1'], $_POST['address2'], $_POST['city'],$_POST['state'],$_POST['pin'], $_POST['gst'], $_POST['remarks'],$id));
			$success_message = "Customer has been updated successfully.";			
	  	}	  
	  catch(Exception $e) { 
		$error_message = $e->getMessage();
	  }
	} 

?>



<?php

	if(isset($_REQUEST['del_id'])) 
	{
	  	$id = $_REQUEST['del_id'];	  
	  	$statement = $db->prepare("DELETE FROM gst_customer WHERE id=?");
	  	$statement->execute(array($id));	  
	  	$success_message = "Customer has been deleted successfully.";	  
	}

?>


<style>
	.form-group { margin-bottom: 0px; }
	.box-body { padding: 12px 12px; }
</style>
<div class="content-wrapper">
  	<section class="content">  
  		<div class="box box-default">
      		<div class="box box-info">
          		<div class="box-header with-border">
            		<h3 class="box-title">Quick Search</h3>
          		</div><!-- /.box-header -->          
          <!-- form start -->
          	<form class="form-horizontal" action="" method="post" enctype="multipart/form-data">
            	<div class="box-body">
              <div class="form-group">
                <label for="inputEmail3" class="col-sm-2 control-label">Customer Name</label>
                <div class="col-sm-2">
                  <input type="text" class="form-control name" id="inputEmail3" placeholder="" name="name"  autocomplete="off">
                </div>
                
                <label for="inputEmail3" class="col-sm-2 control-label">Mobile Number </label>
                <div class="col-sm-2">
                  <input type="text" class="form-control mobile" id="inputEmail3" placeholder="" name="mobile"  autocomplete="off">
                </div>
                <div class="col-sm-2">
                  <button type="submit" class="btn btn-info pull-right" name="form1" onclick="return ajaxSearch();">SEARCH</button>
                </div>
              </div>

            </div><!-- /.box-body -->
          </form>

          

        </div><!-- /.box -->
    </div>
  
  
  
  
	   <div class="row">
        	<div class="col-xs-12">
              <div class="box">
                <div class="box-header">
                  <h3 class="box-title">CUSTOMER MASTER </h3>
                </div><!-- /.box-header -->                
				<?php
                    if(isset($error_message))
                    { ?>
                    <div class="alert alert-danger">
                        <p class=""><?php echo $error_message ; ?></p>
                    </div>
                <?php 
                    } 
                    else if(isset($success_message))
                    { 
                ?>
                    <div class="alert alert-success">
                        <p class=""><?php echo $success_message ; ?></p>
                    </div>
                <?php } ?> 
                <div class="box-body">
                    <div class="table-responsive" id="view_content">  
                       <?php include_once("view_customer_ajax.php") ?>
            </div><!-- /.box-body -->
    	</div>
  	</div><!-- /.box -->
</div>
</div>



  </section><!-- /.content -->
</div><!-- /.content-wrapper -->

<?php include ("../include/footer.php"); ?>