<?php 
include("../include/header.php"); 
include("../include/connection.php");
include ("left-sidebar.php") ; 
require_once('delete_confirm.php');
?>
<script>

	function ajaxSearch() {
		$.ajax({  
			url: "view_expense_ajax.php",
			type: "POST",
			data: {
				   'search'	 			: 'search',
				   'expense'	 		: $('#expense').val(),
				   'date1'	 			: $('#date1').val(),
				   'date2'	 			: $('#date2').val()
				 },
			success: function(data){
				$('#view_content').html(data)
			}
		});
		return false;
	}

</script>

<?php

	if(isset($_POST['form_edit_cash']))
	{		
	  	$id = $_POST['cid'];
	  	try {		
			if(empty($_POST['expense'])) {			
				throw new Exception("Please select Bank");
			}						
			
			$d_date		=	date("Y-m-d", strtotime($_POST['date']));
			
			$statement = $db->prepare("UPDATE gst_expense SET expense=?, amount=?, date=?, narration=? WHERE id = ? ");
			$statement->execute(array($_POST['expense'], $_POST['amount'], $d_date, $_POST['narration'], $_POST['cid']));			
			$success_message = "Expense updated successfully.";	
			
			echo "<script>window.location='view_expense.php'</script>";		
	  	}	  
	  	catch(Exception $e) { 
			$error_message = $e->getMessage();
	  	}
	} 
	
?>
<?php  ?>

<?php
	if(isset($_REQUEST['del_id'])) 
	{

	  	$id = $_REQUEST['del_id'];	  
	  	$statement = $db->prepare("DELETE FROM gst_expense WHERE id=?");
	  	$statement->execute(array($id));	  
	  	$success_message = "Expense has been deleted successfully.";	  
	}
?>

<div id="hsn_details"></div>
<div class="content-wrapper">
  	<section class="content">
	   	<div class="row">
        	<div class="col-xs-12">
				<div class="box">
                	<div class="box-header">
                  		<h3 class="box-title">Quick Search</h3>
                	</div><!-- /.box-header -->                
                	<div class="box-body">
                		<table  class="table ">
                        	<tr>
                            	<td width="10%">Title</td>
                                <td width="15%">
									<input type="text" class="form-control" id="expense" placeholder="" name="expense" autocomplete="off">								
								</td>
                                <td width="10%">Date</td>
                                <td width="25%">
                                	<input type="text" id="date1" class="form-control" placeholder="dd-mm-yyyy" style="width:130px; float:left;" value="" />
                                	<input type="text" id="date2" class="form-control" placeholder="dd-mm-yyyy" style="width:130px; float:left; margin-left:10px;" value="" />
                                </td>
                                <td width="10%"><input type="button" name="submit" value="SEARCH" class="btn btn-danger" onclick="return ajaxSearch();"  /></td>
                            </tr>
                        </table>
    				</div>
            	</div>


              	<div class="box">
                	<div class="box-header">
                  		<h3 class="box-title">Expense Details</h3>
                	</div><!-- /.box-header -->      

           		<?php
              		if(isset($error_message))
              		{ 
				?>
                <div class="alert alert-danger">
                    <p class=""><?php echo $error_message ; ?></p>
                </div>
            	<?php 
              		} 
            	else if(isset($success_message))
              		{ 
				?>
                <div class="alert alert-success">
                    <p class=""><?php echo $success_message ; ?></p>
                </div>
            	<?php } ?>			
                <div class="box-body">
					<div class="table-responsive" id="view_content">  
                  		<?php  include_once("view_expense_ajax.php") ?>
					</div><!-- /.box-body -->
				</div>		
		  	</div><!-- /.box -->
		</div>
	</div>
  	</section><!-- /.content -->
</div><!-- /.content-wrapper -->

<script>
 	$("#date1").datepicker({ dateFormat: 'dd-mm-yy' });
    $("#date2").datepicker({ dateFormat: 'dd-mm-yy' });
	$("#deposit_date").datepicker({ dateFormat: 'dd-mm-yy' });
</script>

<?php include ("../include/footer.php"); ?>