<?php 
include("../include/connection.php");
?>



<script>
function paginate(val){  
	$.ajax({  
		url: "view_purchase_ajax.php?page="+val,
		success: function(data){
			$('#view_content').html(data);
		} 
	});
}
</script>
<?php 
$start = 0;
$limit = 50; 

if(isset($_GET['page'])) {
	$page = $_GET['page'];
}
else {
	$page = 1;
	$counter = 0;
}
if ($page) {
	$start = $limit *($page - 1);
	$counter = ($start) + 1;
}







?>

	<table id="example2" class="table table-bordered table-hover">
		<thead>		
		  	<tr>		
				<th style="text-align:center;">#</th>		
				<th>Order No</th>		
				<th>Invoice No</th>		
				<th>Supplier</th>		
				<th>Date</th>		
				<th>Pay By</th>		
				<th>Total Amt</th>		
				<th colspan="3" width="15%" style="text-align:center;">Action</th>		
		  	</tr>		
		</thead>
		 <tbody>		
        <?php
		$needPaging = true;
      
		@$order_no		=	$_POST['order_no'];
		@$invoice_no	=	$_POST['invoice_no'];
		@$supplier		=	$_POST['supplier'];		

		$sql	=	"SELECT tp.*, ts.company
		FROM gst_purchase tp	
		LEFT JOIN gst_supplier ts ON ts.id=tp.supplier	
		WHERE tp.id!=''
		";
		
		if(!empty($_POST['search'])) {
		
			if(!empty($order_no)){
				$sql .= " AND tp.order_no=?";
				$arr[] = "$order_no";
			}

			if(!empty($invoice_no)){ 
				$sql .= " AND tp.invoice_no=?";
				$arr[] = "$invoice_no";
			}

			if(!empty($supplier)){
				$sql .= " AND ts.company=?";
				$arr[] = "$supplier";
			}

		}
		
		$sql	.= "   AND date BETWEEN '$f_year1' AND '$f_year2' ORDER BY id DESC";	
		
		
		
		$statementc 	=	$db->prepare("SELECT COUNT(id) as tot FROM gst_purchase");
		$statementc->execute(array($item_code));
		$resultc = $statementc->fetchAll(PDO::FETCH_ASSOC);
		foreach($resultc as $rowc){
			$tot_num	=	$rowc['tot'];
		}   				
					
		$_SESSION['stock_report'] 	=	$sql;	
		$_SESSION['arr'] = $arr; 
		$num_pages = ceil($tot_num/$limit);
		if ($needPaging) { 
			$sql .= " LIMIT $start,$limit"; 					
		}
		$i=$i+$start;		
		
		
        $statement = $db->prepare($sql);
        $statement->execute($arr);
        $result = $statement->fetchAll(PDO::FETCH_ASSOC);
        foreach($result as $row)
        {
          	$i++;
        ?>
        <tr>		
			<td style="text-align:center;"><?php echo $i ; ?></td>
			<td><?php echo $row['order_no']; ?></td>
			<td><?php echo $row['invoice_no']; ?></td>
			<td><?php echo $row['company'] ?></td>
			<td><?php echo date("d-m-Y", strtotime($row['date'])); ?></td>
			<td style=" font-weight:700; <?php if($row['pay_by']=="Credit"){  ?> color:#CE0000;  <?php } else {  ?> color:#009900; <?php } ?>"><?php echo $row['pay_by']; ?></td>
			<td><?php echo $row['inv_amt']; ?></td>   
			<td style="text-align:center">
			  <a href="edit_purchase_entry.php?id=<?php echo $row['id']; ?>" style="font-size:17px;"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></a>
			</td>
            <td style="text-align:center">
			  <a href="view_purchase_invoice.php?id=<?php echo $row['id']; ?>" style="font-size:17px;"><i class="fa fa-caret-square-o-right" aria-hidden="true"></i></a>
			</td> 
			<td style="text-align:center">
			  <a href="print_purchase_invoice.php?id=<?php echo $row['id']; ?>" target="_blank" style="font-size:17px;"><i class="fa fa-print" aria-hidden="true"></i></a>
			</td>     			
   		</tr>   
		<?php
			}
		?>
        </tbody>      
	</table>
	
	
	<table width="100%">
		<tr>
			<td style="text-align:center;">
				<?php					
					$i=1; 
					if($tot_num > $limit  && $needPaging) {
						echo '<ul class="pagination classC page-C-02">';
						$page_no = 1;
					if($page>1)  
						echo "<li><a title='Previous' href='javascript:void(0);' onclick='paginate($page-1)' class='previous'> < </a></li>";
					while($i<$tot_num)
					{
						if($page == $page_no) { $current = 'class="current"'; } else { $current = ''; }
						echo "<li class='pageNums'><a onclick='paginate($page_no)' href='javascript:void(0);' ".$current.">".$page_no."</a></li>";
						$page_no++;
						$i=$i+$limit;
					}
					if($page>=1 && $page<$num_pages)
						echo "<li><a title='Next' onclick='paginate($page+1)' href='javascript:void(0);' class='next'> > </a></li></ul>";
					}
				?>
			</td>
		</tr>
	</table>
	
	
	