-- phpMyAdmin SQL Dump
-- version 4.0.4
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Aug 22, 2017 at 01:01 PM
-- Server version: 5.6.12-log
-- PHP Version: 5.4.16

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `gst`
--
CREATE DATABASE IF NOT EXISTS `gst` DEFAULT CHARACTER SET latin1 COLLATE latin1_swedish_ci;
USE `gst`;

-- --------------------------------------------------------

--
-- Table structure for table `gst_admin_login`
--

CREATE TABLE IF NOT EXISTS `gst_admin_login` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `email` varchar(100) NOT NULL,
  `username` varchar(100) NOT NULL,
  `password` varchar(100) NOT NULL,
  `delStatus` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `gst_admin_login`
--

INSERT INTO `gst_admin_login` (`id`, `name`, `email`, `username`, `password`, `delStatus`) VALUES
(1, 'Admin', 'admin@gmail.com', 'admin', '21232f297a57a5a743894a0e4a801fc3', '0');

-- --------------------------------------------------------

--
-- Table structure for table `gst_brand`
--

CREATE TABLE IF NOT EXISTS `gst_brand` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `brand` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;

--
-- Dumping data for table `gst_brand`
--

INSERT INTO `gst_brand` (`id`, `brand`) VALUES
(1, 'Dell'),
(2, 'Samsung'),
(3, 'Sandisk'),
(4, 'Acer');

-- --------------------------------------------------------

--
-- Table structure for table `gst_category`
--

CREATE TABLE IF NOT EXISTS `gst_category` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `category` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=7 ;

--
-- Dumping data for table `gst_category`
--

INSERT INTO `gst_category` (`id`, `category`) VALUES
(1, 'Keyboard'),
(2, 'Mouse'),
(3, 'UPS'),
(4, 'Pendrive'),
(5, 'Hardisk'),
(6, 'Camera');

-- --------------------------------------------------------

--
-- Table structure for table `gst_draft_invoice`
--

CREATE TABLE IF NOT EXISTS `gst_draft_invoice` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `invoice_no` varchar(100) NOT NULL,
  `cust_name` varchar(100) NOT NULL,
  `date` varchar(100) NOT NULL,
  `address1` varchar(100) NOT NULL,
  `bill_type` varchar(100) NOT NULL,
  `phone_no` varchar(100) NOT NULL,
  `sales_man` varchar(100) NOT NULL,
  `gst_no` varchar(100) NOT NULL,
  `remarks` varchar(100) NOT NULL,
  `state` varchar(100) NOT NULL,
  `total` varchar(100) NOT NULL,
  `igst` varchar(100) NOT NULL,
  `cgst` varchar(100) NOT NULL,
  `sgst` varchar(100) NOT NULL,
  `grand_total` varchar(100) NOT NULL,
  `num_words` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=4 ;

--
-- Dumping data for table `gst_draft_invoice`
--

INSERT INTO `gst_draft_invoice` (`id`, `invoice_no`, `cust_name`, `date`, `address1`, `bill_type`, `phone_no`, `sales_man`, `gst_no`, `remarks`, `state`, `total`, `igst`, `cgst`, `sgst`, `grand_total`, `num_words`) VALUES
(3, 'TRV004', '', '2017-08-22', '', '', '', '', '', '', '32', '1824.41', '', '52.80', '52.80', '1930', 'One Thousand Nine Hundred Thirty Rupees Only');

-- --------------------------------------------------------

--
-- Table structure for table `gst_draft_invoice_item`
--

CREATE TABLE IF NOT EXISTS `gst_draft_invoice_item` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `in_id` varchar(100) NOT NULL,
  `invoice_no` varchar(100) NOT NULL,
  `item_code` varchar(100) NOT NULL,
  `item_name` varchar(100) NOT NULL,
  `hsn_code` varchar(100) NOT NULL,
  `unit` varchar(100) NOT NULL,
  `qty` varchar(100) NOT NULL,
  `rate` varchar(100) NOT NULL,
  `price` varchar(100) NOT NULL,
  `total` varchar(100) NOT NULL,
  `discount` varchar(100) NOT NULL,
  `tax_val` varchar(100) NOT NULL,
  `igst` varchar(100) NOT NULL,
  `cgst` varchar(100) NOT NULL,
  `sgst` varchar(100) NOT NULL,
  `igst_amt` varchar(100) NOT NULL,
  `cgst_amt` varchar(100) NOT NULL,
  `sgst_amt` varchar(100) NOT NULL,
  `net_amt` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;

--
-- Dumping data for table `gst_draft_invoice_item`
--

INSERT INTO `gst_draft_invoice_item` (`id`, `in_id`, `invoice_no`, `item_code`, `item_name`, `hsn_code`, `unit`, `qty`, `rate`, `price`, `total`, `discount`, `tax_val`, `igst`, `cgst`, `sgst`, `igst_amt`, `cgst_amt`, `sgst_amt`, `net_amt`) VALUES
(3, '3', 'TRV004', 'UP0003', 'Acer UPS', '3203', 'Number', '1', '1700', '1619.05', '1619.05', '0', '1619.05', '0', '2.5', '2.5', '0.00', '40.48', '40.48', '1700'),
(4, '3', 'TRV004', 'MS0002', 'Optical Mouse', '3202', 'Number', '2', '115', '102.68', '205.36', '0', '205.36', '0', '6', '6', '0.00', '12.32', '12.32', '230.00');

-- --------------------------------------------------------

--
-- Table structure for table `gst_group`
--

CREATE TABLE IF NOT EXISTS `gst_group` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `group_code` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `gst_group`
--

INSERT INTO `gst_group` (`id`, `group_code`) VALUES
(1, 'Computer');

-- --------------------------------------------------------

--
-- Table structure for table `gst_gst_tax`
--

CREATE TABLE IF NOT EXISTS `gst_gst_tax` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `igst` varchar(100) NOT NULL,
  `cgst` varchar(100) NOT NULL,
  `sgst` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=6 ;

--
-- Dumping data for table `gst_gst_tax`
--

INSERT INTO `gst_gst_tax` (`id`, `igst`, `cgst`, `sgst`) VALUES
(1, '5', '2.5', '2.5'),
(2, '12', '6', '6'),
(3, '18', '9', '9'),
(4, '28', '14', '14'),
(5, '10', '5', '5');

-- --------------------------------------------------------

--
-- Table structure for table `gst_hsn_code`
--

CREATE TABLE IF NOT EXISTS `gst_hsn_code` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `hsn_code` varchar(100) NOT NULL,
  `hsn_name` varchar(100) NOT NULL,
  `igst` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;

--
-- Dumping data for table `gst_hsn_code`
--

INSERT INTO `gst_hsn_code` (`id`, `hsn_code`, `hsn_name`, `igst`) VALUES
(1, '3201', 'Keyboard', '18'),
(2, '3202', 'Mouse', '12'),
(3, '3203', 'UPS', '5'),
(4, '18063100', 'Dairy Milk', '28');

-- --------------------------------------------------------

--
-- Table structure for table `gst_invoice`
--

CREATE TABLE IF NOT EXISTS `gst_invoice` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `invoice_no` varchar(100) NOT NULL,
  `cust_name` varchar(100) NOT NULL,
  `date` varchar(100) NOT NULL,
  `time` varchar(100) NOT NULL,
  `address1` varchar(100) NOT NULL,
  `bill_type` varchar(100) NOT NULL,
  `phone_no` varchar(100) NOT NULL,
  `sales_man` varchar(100) NOT NULL,
  `gst_no` varchar(100) NOT NULL,
  `remarks` varchar(100) NOT NULL,
  `state` varchar(100) NOT NULL,
  `total` varchar(100) NOT NULL,
  `igst` varchar(100) NOT NULL,
  `cgst` varchar(100) NOT NULL,
  `sgst` varchar(100) NOT NULL,
  `grand_total` varchar(100) NOT NULL,
  `num_words` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;

--
-- Dumping data for table `gst_invoice`
--

INSERT INTO `gst_invoice` (`id`, `invoice_no`, `cust_name`, `date`, `time`, `address1`, `bill_type`, `phone_no`, `sales_man`, `gst_no`, `remarks`, `state`, `total`, `igst`, `cgst`, `sgst`, `grand_total`, `num_words`) VALUES
(1, 'TRV001', 'Kiran Kuamr', '2017-08-16', '', 'TRV 123, Vellayambalam, Trivandrum', 'R.Cash', '9874563215', 'Raju', 'T767676767', 'Test', '32', '2096.58', '', '74.21', '74.21', '2245', 'Two Thousand Two Hundred Forty Five Rupees Only'),
(2, 'TRV002', 'Nitheesh', '2017-08-17', '', 'Trivandrum', 'R.Cash', '8745963211', 'Rahul', '', '', '32', '677.97', '', '61.02', '61.02', '800', 'Eight Hundred Rupees Only'),
(3, 'TRV003', 'Rakesh S', '2017-08-21', '', 'Vellayambalam', 'R.Cash', '', '', '', '', '32', '2061.13', '', '169.43', '169.43', '2400', 'Two Thousand Four Hundred Rupees Only'),
(4, 'TRV004', 'Kiran', '2017-08-22', '', '', '', '', '', '', '', '32', '2136.57', '', '189.21', '189.21', '2515', 'Two Thousand Five Hundred Fifteen Rupees Only');

-- --------------------------------------------------------

--
-- Table structure for table `gst_invoice_item`
--

CREATE TABLE IF NOT EXISTS `gst_invoice_item` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `in_id` varchar(100) NOT NULL,
  `invoice_no` varchar(100) NOT NULL,
  `item_code` varchar(100) NOT NULL,
  `item_name` varchar(100) NOT NULL,
  `hsn_code` varchar(100) NOT NULL,
  `unit` varchar(100) NOT NULL,
  `qty` varchar(100) NOT NULL,
  `rate` varchar(100) NOT NULL,
  `price` varchar(100) NOT NULL,
  `total` varchar(100) NOT NULL,
  `discount` varchar(100) NOT NULL,
  `tax_val` varchar(100) NOT NULL,
  `igst` varchar(100) NOT NULL,
  `cgst` varchar(100) NOT NULL,
  `sgst` varchar(100) NOT NULL,
  `igst_amt` varchar(100) NOT NULL,
  `cgst_amt` varchar(100) NOT NULL,
  `sgst_amt` varchar(100) NOT NULL,
  `net_amt` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=40 ;

--
-- Dumping data for table `gst_invoice_item`
--

INSERT INTO `gst_invoice_item` (`id`, `in_id`, `invoice_no`, `item_code`, `item_name`, `hsn_code`, `unit`, `qty`, `rate`, `price`, `total`, `discount`, `tax_val`, `igst`, `cgst`, `sgst`, `igst_amt`, `cgst_amt`, `sgst_amt`, `net_amt`) VALUES
(27, '1', 'TRV001', 'KR0001', 'Samsung Keyboard', '3201', 'Number', '1', '200', '169.49', '169.49', '0', '169.49', '0', '9', '9', '0.00', '15.25', '15.25', '199.99'),
(28, '1', 'TRV001', 'MS0002', 'Optical Mouse', '3202', 'Number', '3', '115', '102.68', '308.04', '0', '308.04', '0', '6', '6', '0.00', '18.48', '18.48', '345.00'),
(29, '1', 'TRV001', 'UP0003', 'Acer UPS', '3203', 'Number', '1', '1700', '1619.05', '1619.09', '0', '1619.05', '0', '2.5', '2.5', '0.00', '40.48', '40.48', '1700'),
(31, '2', 'TRV002', 'KR0001', 'Samsung Keyboard', '3201', 'Number', '4', '200', '169.49', '677.97', '0', '677.97', '0', '9', '9', '0.00', '61.02', '61.02', '800.01'),
(32, '3', 'TRV003', 'PN0005', 'Pendrive', '3202', 'Number', '1', '600', '535.71', '535.71', '0', '535.71', '0', '6', '6', '0.00', '32.14', '32.14', '600'),
(33, '3', 'TRV003', 'GR0006', 'Hardisk', '3201', 'Number', '1', '1800', '1525.42', '1525.42', '0', '1525.42', '0', '9', '9', '0.00', '137.29', '137.29', '1800'),
(37, '4', 'TRV004', 'KR0001', 'Samsung Keyboard', '3201', 'Number', '1', '200', '169.49', '169.49', '0', '169.49', '0', '9', '9', '0.00', '15.25', '15.25', '200'),
(38, '4', 'TRV004', 'MS0002', 'Optical Mouse', '3202', 'Number', '1', '115', '102.68', '102.68', '0', '102.68', '0', '6', '6', '0.00', '6.16', '6.16', '115'),
(39, '4', 'TRV004', 'CM0007', 'Camera', '', 'Number', '2', '1100', '932.20', '1864.40', '0', '1864.40', '0', '9', '9', '0.00', '167.80', '167.80', '2200.00');

-- --------------------------------------------------------

--
-- Table structure for table `gst_purchase`
--

CREATE TABLE IF NOT EXISTS `gst_purchase` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `order_no` varchar(100) NOT NULL,
  `invoice_no` varchar(100) NOT NULL,
  `supplier` varchar(100) NOT NULL,
  `pur_order` varchar(100) NOT NULL,
  `inv_amt` varchar(100) NOT NULL,
  `inv_date` varchar(100) NOT NULL,
  `pay_by` varchar(100) NOT NULL,
  `item_total` varchar(100) NOT NULL,
  `due_date` varchar(100) NOT NULL,
  `date` varchar(100) NOT NULL,
  `state` varchar(100) NOT NULL,
  `remarks` varchar(100) NOT NULL,
  `total` varchar(100) NOT NULL,
  `igst` varchar(100) NOT NULL,
  `cgst` varchar(100) NOT NULL,
  `sgst` varchar(100) NOT NULL,
  `grand_total` varchar(100) NOT NULL,
  `num_words` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=4 ;

--
-- Dumping data for table `gst_purchase`
--

INSERT INTO `gst_purchase` (`id`, `order_no`, `invoice_no`, `supplier`, `pur_order`, `inv_amt`, `inv_date`, `pay_by`, `item_total`, `due_date`, `date`, `state`, `remarks`, `total`, `igst`, `cgst`, `sgst`, `grand_total`, `num_words`) VALUES
(1, 'PRC001', 'KL00124', '2', '10012', '20600', '2017-08-17', 'Cash', '30', '2017-08-17', '2017-08-17', '32', '', '19241.34', '', '679.34', '679.34', '20600', 'Twenty Thousand Six Hundred Rupees Only'),
(2, 'PRC002', 'T34542', '1', 'T123', '12500', '2017-08-22', 'Cash', '5', '1970-01-01', '2017-08-22', '32', '', '12500.00', '', '0.00', '0.00', '12500', 'Twelve Thousand Five Hundred Rupees Only'),
(3, 'PRC002', 'T34542', '3', '', '12500', '2017-08-22', 'Cash', '5', '1970-01-01', '2017-08-22', '32', '', '12500.00', '', '0.00', '0.00', '12500', 'Twelve Thousand Five Hundred Rupees Only');

-- --------------------------------------------------------

--
-- Table structure for table `gst_purchase_item`
--

CREATE TABLE IF NOT EXISTS `gst_purchase_item` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `in_id` varchar(100) NOT NULL,
  `invoice_no` varchar(100) NOT NULL,
  `item_code` varchar(100) NOT NULL,
  `item_name` varchar(100) NOT NULL,
  `hsn_code` varchar(100) NOT NULL,
  `unit` varchar(100) NOT NULL,
  `qty` varchar(100) NOT NULL,
  `rate` varchar(100) NOT NULL,
  `price` varchar(100) NOT NULL,
  `total` varchar(100) NOT NULL,
  `discount` varchar(100) NOT NULL,
  `tax_val` varchar(100) NOT NULL,
  `igst` varchar(100) NOT NULL,
  `cgst` varchar(100) NOT NULL,
  `sgst` varchar(100) NOT NULL,
  `igst_amt` varchar(100) NOT NULL,
  `cgst_amt` varchar(100) NOT NULL,
  `sgst_amt` varchar(100) NOT NULL,
  `net_amt` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=32 ;

--
-- Dumping data for table `gst_purchase_item`
--

INSERT INTO `gst_purchase_item` (`id`, `in_id`, `invoice_no`, `item_code`, `item_name`, `hsn_code`, `unit`, `qty`, `rate`, `price`, `total`, `discount`, `tax_val`, `igst`, `cgst`, `sgst`, `igst_amt`, `cgst_amt`, `sgst_amt`, `net_amt`) VALUES
(24, '1', 'KL00124', 'UP0003', 'Acer UPS', '3203', 'Number', '10', '1700', '1619.048', '16190.48', '0', '16190.48', '0', '2.5', '2.5', '0.00', '404.76', '404.76', '17000.00'),
(25, '1', 'KL00124', 'KR0001', 'Samsung Keyboard', '3201', 'Number', '20', '200', '169.492', '3389.84', '10', '3050.86', '0', '9', '9', '0.00', '274.58', '274.58', '3600.02'),
(30, '3', 'T34542', '12345', 'Processor', '3202', 'Number', '5', '2500', '2500', '12500.00', '0', '12500.00', '0', '0', '0', '0.00', '0.00', '0.00', '12500.00'),
(31, '2', 'T34542', '12345', 'Processor', '3202', 'Number', '5', '2500', '2500', '12500.00', '0', '12500.00', '0', '0', '0', '0.00', '0.00', '0.00', '12500.00');

-- --------------------------------------------------------

--
-- Table structure for table `gst_state`
--

CREATE TABLE IF NOT EXISTS `gst_state` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `state_code` varchar(100) NOT NULL,
  `state` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

--
-- Dumping data for table `gst_state`
--

INSERT INTO `gst_state` (`id`, `state_code`, `state`) VALUES
(1, 'KERALA', '32'),
(2, 'TAMILNADU', '33');

-- --------------------------------------------------------

--
-- Table structure for table `gst_stock`
--

CREATE TABLE IF NOT EXISTS `gst_stock` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `item_code` varchar(100) NOT NULL,
  `item_name` varchar(100) NOT NULL,
  `item_type` varchar(100) NOT NULL,
  `hsn_code` varchar(100) NOT NULL,
  `sku_code` varchar(100) NOT NULL,
  `selling_price` varchar(100) NOT NULL,
  `purchase_price` varchar(100) NOT NULL,
  `tax_amount` varchar(100) NOT NULL,
  `mrp_price` varchar(100) NOT NULL,
  `igst` varchar(100) NOT NULL,
  `cgst` varchar(100) NOT NULL,
  `sgst` varchar(100) NOT NULL,
  `unit_m` varchar(100) NOT NULL,
  `group_code` varchar(100) NOT NULL,
  `company` varchar(100) NOT NULL,
  `brand` varchar(100) NOT NULL,
  `qty` varchar(100) NOT NULL,
  `remarks` varchar(100) NOT NULL,
  `delStatus` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=9 ;

--
-- Dumping data for table `gst_stock`
--

INSERT INTO `gst_stock` (`id`, `item_code`, `item_name`, `item_type`, `hsn_code`, `sku_code`, `selling_price`, `purchase_price`, `tax_amount`, `mrp_price`, `igst`, `cgst`, `sgst`, `unit_m`, `group_code`, `company`, `brand`, `qty`, `remarks`, `delStatus`) VALUES
(1, 'KR0001', 'Samsung Keyboard', 'goods', '3201', '', '169.49', '150', '', '200', '18', '9', '9', 'Number', 'Computer', 'Samsung', 'Samsung', '25', '', '0'),
(2, 'MS0002', 'Optical Mouse', 'goods', '3202', '', '102.68', '90', '', '115', '12', '6', '6', 'Number', 'Computer', 'Dell', 'Dell', '30', '', '0'),
(3, 'UP0003', 'Acer UPS', 'goods', '3203', '', '1619.05', '1200', '', '1700', '5', '2.5', '2.5', 'Number', 'Computer', 'Acer', 'Acer', '10', '', '0'),
(4, 'PN0005', 'Pendrive', 'Goods', '3202', '', '535.71', '400', '', '600', '12', '6', '6', 'Number', 'Computer', 'Sandisk', 'Sandisk', '20', '', '0'),
(5, 'GR0006', 'Hardisk', 'goods', '3201', '', '1525.42', '1200', '', '1800', '18', '9', '9', 'Number', 'Computer', 'D Link', 'D Link', '13', '', '0'),
(6, 'CM0007', 'Camera', 'goods', '', '', '932.20', '800', '', '1100', '18', '9', '9', 'Number', 'Computer', 'Samsung', 'Samsung', '20', '', '0'),
(7, 'DR0008', 'Dairy Milk Family Pack', 'goods', '18063100', '', '468.75', '500', '', '600', '28', '14', '14', 'Number', 'Dairy  Milk', 'Dairy Milk', '', '1000', '', '0'),
(8, '12345', 'Processor', 'goods', '3202', '', '2857.143', '2500', '', '3200', '12', '6', '6', 'Number', 'Computer', 'Dell', 'Dell', '22', 'Test', '0');

-- --------------------------------------------------------

--
-- Table structure for table `gst_supplier`
--

CREATE TABLE IF NOT EXISTS `gst_supplier` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `email` varchar(100) NOT NULL,
  `phone` varchar(100) NOT NULL,
  `company` varchar(100) NOT NULL,
  `address1` varchar(100) NOT NULL,
  `address2` varchar(100) NOT NULL,
  `city` varchar(100) NOT NULL,
  `state` varchar(100) NOT NULL,
  `pin` varchar(100) NOT NULL,
  `website` varchar(100) NOT NULL,
  `gst` varchar(100) NOT NULL,
  `remarks` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=4 ;

--
-- Dumping data for table `gst_supplier`
--

INSERT INTO `gst_supplier` (`id`, `email`, `phone`, `company`, `address1`, `address2`, `city`, `state`, `pin`, `website`, `gst`, `remarks`) VALUES
(1, 'hareesh@mail.com', '9874563215', 'Hareesh Agencies', 'Vellayambalam', 'TVM', 'Trivandrum', '32', '695010', 'www.hareeshag.com', 'F44774234GH', 'Test123'),
(2, 'kiran@ggmail.com', '8745963215', 'Kiran Angencies', 'Vellayamabalam', '', 'Trivandrum', '32', '695501', 'www.kiransa.com', 'H78676H52', 'Test Remarks'),
(3, 'akstore@ggmail.com', '9874563215', 'AK Store', 'Test', 'Test2', 'Trivandrum', '32', '695501', 'www.akstore.com', 'T7787878', 'Test');

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
